Overview

TreeSize Professional 3 - Overview
Top Next

TreeSize Professional 3 is a powerful and flexible harddisk space manager for Windows 98/ME/NT/2000/XP/2003. Find out which folders are the largest on your drives and recover megabytes on them. TreeSize Professional 3 shows you the size, allocated and wasted space, the number of files, 3D bar and pie charts, the last access date, the file owner, the NTFS compression rate and much more information for several folders or drives you choose. It also lets you search for old, big and temporary files. The application has an intuitive Explorer-like user interface and it is fast and multithreaded. You can print detailed reports or export the collected Data to Excel and to an HTML, XML or ASCII file (Professional edition only). TreeSize Professional 3 can be started from the context menu of every folder or drive.

For every button and menu item, a short description is displayed in the status bar. If you have further questions, you can contact JAM Software.


Installation
Previous Top Next

To install TreeSize Professional 3, execute the setup file on the install media and follow the instructions. The setup program then copies the necessary files to your harddisk and creates a new program group in the Start Menu. TreeSize Professional 3 can be uninstalled using the Software applet in the Control Panel of Windows. The password needed for installing the registered version is printed on the disk label and is also available online in our customer's area.


Quickstart

Please refer to the numbers in the picture when reading the following description.
tsizepro3-qs

1. Here the user can select, which drive or path should be scanned. Press the button with the arrow on the right to start scanning. TreeSize Professional 3 here remembers the last paths that have been used.

2. Here the user can get an overview about the currently scanned drive. This and the other toolbars can be turned off in their context menu.

3. The "Chart"-page shows a pie or bar chart of the currently selected directory. Use the context to show a toolbar with advanced charting features.

4. The "Details"-page shows detailed information about the subfolders and the files inside the currently selected folder.

5. The "Extensions"-page shows the size information grouped by file types, that way you will get an overview what file types eat up most of the space.

6. The "Users"-page shows the size information grouped by user names, this allows you to see which users use most of the disk space.

7. The file system tree of the scanned folder or drive gives you an immediate overview about the size of each folder.

8. The status bar informs about the allocated and free space of the current drive, the file system type, etc.


What's new?

Changes in V3.3.3:
· Bugfix: Folders starting with two or more dots were not included in the scan.
· Bugfix: The setting for printing the whole directory tree (instead of the expanded only) was not producing the expected results.
· Bugfix: The Details list was not filled for folders that are mountpoints.
· Bugfix: Occasionally an error occurred if a folder was selected in the tree that was deleted remotely from another PC.
· An error message was removed, that occurred for loaded XML reports, for which the original path is not available on the local machine.

Changes in V3.3.2:
· The Details list now shows tool tips for column values that are not entirely visible.
· Bugfix: The context menu item "Copy Selected Entries As Text" of the Details list was copying not only the selected entries to the clipboard.
· Bugfix: Files moved to a ZIP file using the TreeSize Professional 3 File Search now contain their full path again.
· Bugfix: If a very large number of files were moved to a different file system path using the TreeSize Professional 3 File Search, moving occasionally failed with an error message in previous versions.
· A few minor bug fixes and improvements have been incorporated.
· We have followed the request of many private users and have created a lower priced Personal Edition of TreeSize, which has the same features as the Professional Edition, except that it does not support network drives, Windows Server systems, command line options and exporting the data.

Changes in V3.3.1:
· Performance increases have been achieved, especially for scanning and viewing folders with a large number of direct subfolders.
· A double click on a file in the chart now opens this file.
· Not creating any more a [Files] item for folders that do not contain any files.
· Improved handling of folder renames, if automatic updates are activated.
· The Tools menu now has an entry for emptying the Windows recycle bin.
· The Extensions and Details sheet now also have a small toolbar, that can be turned on or off using View / Toolbars
· Enabling/Disabling of the chart toolbar has been moved from the Options dialog to View / Toolbars
· Bugfix: If the view was limited to a certain file extension, the files were not listed in the Details list in the previous.

Changes in Version 3.3:
· Introduced a mixed mode for units, in which an appropriate unit (KB/MB/GB) is used dependant on the displayed size.
· Windows file change notifications are now used in order to update changed directories automatically. Since V3.0 TreeSize already updated the size information of a directory (non recursively), if its content was displayed in the Details view. All automatic updates can be turned on or off using a new button in the toolbar.
· A new column has been added that can show the file version that is included in most EXE, DLL, OCX etc. files. Additionally a column has been added that shows the title (volume label and drive letter) of a scan. This can be useful for archiving purposes.
· The context menu of the Details item now contains a submenu with all available information about this item, including the ones of non visible columns. This submenu can also be used to activate or deactivate columns.
· The main menu bar now has a "Branch" menu that contains some actions that can be applied to complete scans / branches. The "Refresh All" menu item that refreshes all scanned drives / directories that are currently present in the left pane has been moved from the "File" to the "Tools" menu.
· The users and the extension sheet now have a small horizontal bar chart that shows the distribution among the users / extensions.
· New command line option /EXCLUDE that allows specifying exclude patterns for scanning. See help file for details.
· New command line option /OPEN that opens a saved XML report on application start. It can be combined with /COMPARE.
· An XSLT file is now included that formats a saved XML file for output in a browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5). But especially for large XML files the browsers may take a long time to process the data.
· If a drive or path was picked from the dropdown box in the upper left corner of the main window, the scan now starts immediately. Pressing the Start button is not required any more.
· The Printing and the Compare feature now indicate their progress in a small window.
· The Additional "TreeSize" column for the Windows Explorer does not follow symbolic links and mountpoints any more in order to get more consistent results with the Windows Explorer and to avoid long and unwanted recursions.
· Bugfix: The /EXTENSIONSLIST command line option did not work correctly.
· Some minor bug fixes and several minor improvements have been incorporated.

Changes in V3.22:
· The free space is now also shown for network drives in the pie chart. The free space can be turned on and off in the right click menu of the pie chart.
· The help file format was changed from Winhelp (.HLP) to HTMLHelp (.CHM)
· All exports now run a bit faster
· The Excel export is now more robust. If the header lines are turned off in the Options, no empty lines are above the data.
· Some minor corrections

Changes in V3.21:
· Removed some non-crticial error messages which occured sometimes when the application was terminated while scans were running.
· Brought back the Toolbars submenu in the View menu.
· Bugfix: Sorting didn't work correctly if the view was limited to a user or an extension.
· Bugfix: The caption [Files] was missing in the printed reports
· The new additional TreeSize column now sorts correctly in the Windows Explorer. To achieve this, we had to move from unit KB to MB and leave out the thousands separator. Files over 4GB are now handled correctly as well. The new column can now be activated through the right click menu of the column headers of the Windows Explorer.
· Some minor bug fixes and improvements have been incorporated

Changes in V3.2:
· A shell extension is now included which adds an additional column to the Windows Explorer that is showing the size not only for files but also for folders. The new column can be activated in the Windows Explorer under View / Select Columns.
· Similar to the "Limit to user" feature, it is now possible to limit the shown size values to a certain extension using the context menu of the extension list.
· The file search now has a second Options sheet that lets you configure the number of decimals and the unit (KB, MB, GB, Mixed) that is used to display size values.
· If a file matches more than one search type of the File Search, the file is now listed in all result lists instead of only in the first one.
· The file search now uses one thread for each selected drive or folder when searching, which should increase the speed.
· The selected printer and the paper orientation (portrait/landscape) is now saved and restored on the next application start.
· The speed of the exports have been increased and now show a progress window.
· The export function "Save As Text" and "Copy To Clipboard" now use the memory more efficient so that you should no more receive "Out of Memeory" errors.
· The sheets of exported Excel files now have the current date as name instead of "Sheet 1" etc.
· The export option "Include Headers" can now be set individually for each export format in the Options dialog on the Export sheet.
· Exported files now contain information about the used filter, the user or extension to which the view was limited etc. in their header.
· The function "Copy List of Files" in the Export menu now also exports the creation date of the files.
· New command line option /USERSLIST that allow to export the list of sizes grouped by username.
· Some minor enhancements and bug fixes have been incorporated.

Changes in V3.13:
· Bugfix: In the previous versions, files which size differed only by a few bytes were sometimes not sorted correctly in the Details list.
· Bugfix: Selecting a large number of files in the details view took a long time and made the application look freezed. This has been improved.
· The sizes in the file system tree now get updated if a file is deleted in the details view.
· Bugfix: The last column was missing in exported files.
· Bugfix: The "Save List" menu item of the Extensions sheet was not working correctly in V3.10
· For exported CSV files, now the list seperator specified in the control panel is used instead of the tabulator like in the previous version. This will increase compatibility with other applications like spreadsheets and databases. If you automatically postprocess exported text reports you may need to adjust the setting for the list separator in the Control Panel.
· Bugfix: When the view was limited to one user, the files on the details list always showed up with zero size.
· If a user is selected in the user list for filtering, this user is now shown bold.
· Bugfix: When the left pane was limited to a user, the size information shown for the [Files] items was always shown as 0.
· The speed of the File Search has been improved.

Changes in V3.1:
· Improvements on the user interface, better XP look & feel, new icons
· Charts can now be saved in PNG format as well.
· You can now activate and deactivate columns in the Details list by right clicking on the column headers (similar to Windows Explorer)
· New column that displays the average file size.
· New column that displays the access rights of users and groups on files and folders.
· Bar charts saved as an image now shows all bars of the chart and not only those that are visible on the screen.
· Excel files are now generated without the help of MS Excel. So you don't need MS Excel installed any more to export to an Excel file. Additionally, the Excel export is running faster and more stable now.
· You can now specify a default file for excel export, which will be used when the export is triggered manually. You can change this file in the Options on the "Columns" tab after selecting "Excel" from the dropdown box.
· You can choose for each export media, if by default the whole file system tree or just the expanded parts should be exported. This option can be set on the Columns tab in the Options dialog.
· New Command Line Option /COMPARE which compares the current result with a saved XML report. This command line option can be combined with others in order to save the comparison, e.g. to an Excel file.
· Now wildcards are accepted on the command line, e.g. \\Server\Users\A*
· There is now an option in the context menu of the pie chart, with which the slice for the free space can be turned off.
· If now the tree is limited to one user, the details list shows only files belonging this user.
· For known file formats, a small thumbnail image is now displayed on the bottom right corner of the File Search window.
· Bugfix: The minimum size of the Biggest File Search was not saved in the previous versions. This has now been corrected.
· Some minor improvements and bug fixes have been incorporated.

Changes in V3.03:
· If a folder without subfolders is selected, now the files in this folder are shown in the chart.
· In the Oldest File Search with the option "Return complete folders only" turned on, incorrect icons were shown for the listed folders.
· In the Oldest File Search with the option "Return complete folders only" turned on, the sizes of the folders was calculated wrongly.
· The wrong context menu was shown for the [Files] entries in the Tree.
· On some printers, the charts were not scaled correctly.
· Switching the unit (KB, MB GB) while a scan is running, did not always reformat the whole file system tree.
· Some minor bugfixes have been incorporated as well.

Changes in V3.02:
· The exclude patterns in the file search were not saved. This has been changed.
· Under certain circumstances not all files that have been checked in the file search window were moved when using the "Move File" button.
· When saving the results of the File Search, you now have the possibilty to Select a CSV-file, which is compatible with MS Excel.

Changes in V3.01:
· The export to a text file produced empty results, if the option "Include Header" was not checked.
· An error was fixed in the File Sesarch module when clicking on the column header in order to sort by file type.
· The images were missing in the help and PDF files
· In rare cases an error message was displayed on startup, if no MAPI32.DLL could be found. This has been fixed.

Changes in V3.0:
· The results can now be grouped for each folder by user or by extension.
· The data can now be saved to an XML file and can be loaded again later.
· A saved XML file can be used to compare it against the current version of the file system branch. The difference between the two scans will be displayed and makes it easy to see which folders have grown.
· Now the columns can be configured separately for the Details list, Excel export, HTML Export, Text export and printed reports. Some new columns have been added. The columns can be selected and sorted in the Options dialog.
· New columns for: Attributes, Directory Level, File Type
· New toolbar that gives you a quick and easy overview over the currently selected file system branch.
· It is now possible to send a text report by e-mail via MAPI
· New command line option /EMAIL for sending reports by e-mail
· New command line option /FILTER that allows you specifying filters
· New command line option /RESTRICTED that switches TreeSize in a "readonly" mode that does not allow file system operations etc.
· It is possible to restrict the scan to files which have the archive attribute set. This is for example useful to calculate the size that a backup will use.
· The new /TITLE command line options can be used to change the title of the printed or exported report. That allows you to supply additional information to the user when using TreeSize Professional in an automated environment
· Now folders are scanned that have been dropped on the main window from the Windows Explorer
· In the context menu is a new menu item "Remove From TreeSize" which removes a folder from TreeSize and recalculates the values without deleting it from disk.
· In the Options you may now select that only files created in the past XX days should be included in the search. That way you may identify folders that have recently grown much.
· It is now possible to export the selected entries in the details list to the clipboard using the context menu.
· The context menu of the file system tree now offers the possibility to copy the data or the file list of only the select subbranch to the clipboard.
· If a selected folder is shown in the details view, TreeSize now recalculates the size of the files in this folder "on the fly".and updates its statistics
· A context menu lets you show/hide each toolbar
· The values in the status bar now also use the unit that the user has chosen.
· Support for Windows 95 and Excel 95 has been dropped.
· If the [Files] are selected, the individual files of that folder are shown in the chart.

File Search
· It is now possible to move all checked files of the Obsolete File Search results to a ZIP file
· The File Search now has an exclude list. A file or folder that contains one of the exclude patterns will be excluded from the file search
· Files that have been created with the attribute FILE_ATTRIBUTE_TEMPORARY may now be included in the temporary file search results
· The temporary file search now can also search for files that are own by an account that is not existing any more on the system.
· The temporary file search now can also search for shortcuts and PIF files that have a non existing target.
· Each Temporary File Search pattern now has a checkbox in front of it with which it can be turned on or off individually
· The /SAVE command line options now also works for file searches and saves the results to a textfile
· The size of folders is now shown in the File Search results


Tips & Annotations

· Especially scans of network drives may take a long time. With the Professional edition You may perform such scans overnight using their command line options and save the results to an XML file, which can be loaded again later.
· The last access date is the day when a file was used the last time, for example when a program was executed, a DLL was loaded or a bitmap was shown the last time. So if a file has not been accessed for a long time, it may probably not needed on your system. This is great to remove unused files from your Windows and System directory.
· With a user defined cluster size that you can set in the Options, you can look how the values for occupied and wasted space would look like with a different cluster size on your harddisk. A rescan of the current folder(s) is necessary when you change the user defined cluster size.
· The 'filter' and 'User defined cluster size' settings are not saved to the registry in order to avoid wrong values when using TreeSize Professional 3 the next time
· You can use the CD-ROM view to determine, how much space a directory tree would occupy on a CD or DVD with ISO file system. Please keep in mind that some space on the disk will be needed for the directory information.
· In the Recycled Folders you will not see the same file names like in the Explorer. This is necessary to get the size and the last access date of these files.
· You can scan all shares in a domain by entering the domain name in the drive combo box.
· TreeSize Professional 3 ships with an XSLT file that formats the data inside the XML file for pretty output in an browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5).
· Use the 'File Search' to find large or obsolete files on your hard drives.
· For analyzing the disk usage on very large servers, we recommend our product SpaceObServer. It collects the data using a background system service and stores it in a SQL database. It uses less RAM than TreeSize Proffessional and the reporting capabilities are more flexible because it is built on a database. More information is available at: http://www.jam-software.com/spaceobserver/


TreeSize Column for Explorer

TreeSize Professional 3 now ships with a shell extension that adds an additional column to the Windows Explorer, which shows the size not only for files but also for folders. This feature is intended for a quick overview. The new column can be activated using Choose Columns/Details in the "View" menu of the Windows Explorer or through the context menu of the column headers of the Windows Explorer . This column is not available under Windows 95/98.

treesize explorer column


Wasted Space

The wasted space is the amount of space in clusters on your harddisk, that are not entirely filled. Keep the following formula in mind: size + wasted space = allocated space. Windows 9x with its file system FAT/FAT32 may have very large cluster sizes, dependent on the partition size:

FAT |  | FAT32
Partition Size | Cluster Size | Partition Size | Cluster Size
128 - 256 MB | 4 KB | 1 - 8 GB | 4 KB
257 - 512 MB | 8 KB | 8 - 16 GB | 8 KB
513 - 1024 MB | 16 KB | 16 - 32 GB | 16 KB
1025 - 2048 MB | 32 KB | >32 GB | 32 KB

If you for example have a single FAT32 partition on a 32GB harddisk, you have a cluster size of 32KB on it. If you store 10 files of 1 KB on this partition, this would use 10*32KB=320KB of your precious harddisk space, and 320KB-10KB=310KB would be wasted. Especially a huge number of small files significantly increase the amount of wasted space on FAT partitions.

To reduce the wasted space, there are the following possibilities:

· Make smaller partitions, try to avoid partitions larger than 16GB on a FAT32 drive. Of course smaller partitions will increase the number of drive letters.

· Windows NT/2000/XP provide the possibility to format your harddisk with the NTFS file system. It usually operates with 512 - 4096 Byte clusters and has the best storage efficiency of all Windows file systems. NTFS partitions cannot be accessed from Windows 9x or DOS without use of 3rd party software. In addition, NTFS is able to compress selected directory branches.


Printing

TreeSize Professional 3 has flexible printing functions:

You can print a detailed report by selecting 'Print Report...' from the File menu or by pressing the print button in the toolbar. The report will show the directory structure of the current folder, including directory lines, and the information you have chosen in the Options. There you can also decide, if the whole directory tree should be printed, or just those parts that are expanded in the TreeSize Professional 3 window. This way allows to choose the folders that will be included in the printed report.

If the 'Details View' is active in the right pane of the TreeSize Professional 3 main window, you can print the contents of the folder which is currently selected by using 'Print Folder Contents...' from the 'File' menu. You will see all files and direct subfolders in the printout, including the icons and the other information. If you want a listing of all files in the scanned folder or drive, you can copy a list of all files to the clipboard and paste it into your favorite spreadsheet or word processor by selecting 'Export List of Files' from the 'File' menu (not supported in the Personal edition). If the 'Chart View' is active in the right pane of the TreeSize Professional 3 window, you can print the current chart by selecting 'Print Chart' from the 'File' menu.

You can use the Page Setup Dialog to adjust the margins for printing. Use the Print Setup Dialog to choose a printer. Both dialogs can be accessed from the 'File' menu.


Charts

TreeSize Professional 3 can visualize folder sizes as pie or bar charts. A chart always shows the size of the subfolders of the currently selected folder. A pie chart shows the size, allocated space, wasted space etc. dependant on what kind of view type the user selected in the toolbar. The bar chart shows the size, allocated and wasted space together in one chart, because: size + wasted space = allocated space. If a bar chart doesn't fit in the window, a scrollbar is displayed on the right side, which allows scrolling in the chart.

In the pie chart, small folders may be summarized in a slice named 'Other'. If a root of a drive is displayed in a pie chart and you have switched to the 'Allocated Space' mode, the free space of this drive will also be displayed as one slice of the pie. There is an option in the right click menu of the pie chart to turn this behaviour on or off.

Clicking on a slice or bar shows detailed information about the corresponding folder, double clicking will move into the selected folder. Checking 'Chart Toolbar' in the Options dialog or in the context menu of the chart will display an additional chart toolbar, which allows you to manipulate the charts in several ways, for example zooming, turning on or off the grid lines, switching between 2D and 3D mode, change colors, etc. Using this toolbar, you can also copy the current chart to the clipboard or save it as a file.

Choose 'Print Chart' from the 'File' menu to print a chart. A chart will be printed exactly as you see it on the screen.


Command Line Options

The Professional edition of TreeSize accepts command line options which allow you to do scheduled scans or to have the results of a scan on your monitor the next morning.

Tsizepro.exe [/ARCHIVEBITFILESONLY] [/(BAR|PIE)CHART filename] [/COMPARE filename] [/DATE] [/EMAIL] [/EXCEL filename] [/EXPAND [level|xxMB]] [/EXTENSIONSLIST filename] [/FILTER pattern1;pattern2;...] [/HTML filename] [/NOGUI] [/OPEN] [/PRINT] [/SAVE filename] [/SEARCH[:Start|:Internet]] [/USERSLIST filename] [/XML filename]  Directories

/ARCHIVEBITFILESONLY This option will include only files in the scans, which have the archive bit set. This option can be very useful, if you want to calculate the size of a backup. In this case, you can create a shortcut to TreeSize Professional 3 on your desktop or in your start menu, that will automatically start calculating the size of your backup:

tsizepro /ARCHIVEBITFILESONLY \\Server\Backup\This

/BARCHART Saves the bar chart of the scanned directory to a bitmap, PNG or JPEG file, the file type depends on the extension of the specified file name. This example creates a JPEG images of the bar chart for drive C:

tsizepro /BARCHART C:\Documents\c.jpg C:\

/COMPARE Compares the scanned path or loaded XML report (see /OPEN) with a saved XML report. The following example scans drive C: and compares the result with a saved XML report for this drive:

tsizepro /COMPARE "C:\temp\TSP XML\c.xml" C:\

/DATE This switch will add the current date to all file names occurring after it on the command line. This is useful if you want to do scans regularly every night or every weekend. If you want the date included in all filenames, then /DATE should be your first command line option. The following example will scan the network path \\host\share and save the result to a file like C:\scans\name_03-12-20_1550.xls:

tsizepro /DATE /EXCEL C:\scans\name.xls \\host\share

/EMAIL Sends the collected data to the given email address using MAPI. Your e-mail application must be configured properly for MAPI. Multiple recipients can be separated with semicolons or commas. Example:

tsizepro /EMAIL sysadmin@company.com \\SERVER\C$

/EXCEL Exports the collected data to Excel and saves it under the given file name. If the file name already exists, the file will be opened and a new sheet will be added. The application will terminate itself after saving. Example:

tsizepro /EXCEL C:\Documents\c.xls C:\

/EXCLUDE This options allows to specify patterns for files and folders, that should be excluded from a scan. Multiple exclude patterns can be separated using a semicolon, if one or more of the patterns contain spaces, the complete pattern string must be set into quotes. This command line option is equal to the Exclude list in the Options dialog. The following example will ignore folders that end with ".001" and folders that are named ".personal":

tsizepro /EXCLUDE "*.001;.system" \\server\Users

/EXPAND This option lets you specify, how many levels in the directory tree will be expanded after scanning. If you don't specify a number, all folders will be expanded. Instead of a directory level you can also indicate an amount in MB. In this case all folders larger then the given amount will be expanded. The unit 'MB' must follow the number without a blank. The following example will scan the folder H:\user, expand all folders larger than 10MB and save the result to the Excel file C:\Results\Allusers.xls:

tsizepro /EXCEL C:\Results\Allusers.xls /EXPAND 10MB H:\user

/EXTENSIONSLIST This options allows you to save the statistics on file extensions / file types of the scanned file system branch to a text to CSV file. The following example scans drive C: and creates a CSV file in C:\Temp with the statistics of the file types on this drive:

tsizepro /EXTENSIONSLIST C:\temp\C_filetypes.csv C:\

/FILTER Allows to set a file filter, so that only files with certain extensions, e.g. .MP3 or .DOC, will be counted. Multiple patterns may be passed, you can use spaces, commas or semicolons as separator between the patterns. The following example will search for AVI and MP3 files in the users directory on the server:

tsizepro /EXCEL C:\Results\MediaUsers.xls /FILTER "*.mp3;*.avi" \\Server\Users

When performing a File Search, You can also you the /FILTER command line switch to specify the patterns for the Temporary file search.

/HTML Saves the collected data to a HTML file, which can be viewed with any HTML-browser later. If you also have a /PIECHART or /BARCHART parameter in your command line, the image will be included in the HTML file. The following example will generate an HTML report for the drive C: and saves it to D:\html:

tsizepro /DATE /HTML d:\html\treesize.html /PIECHART d:\html\treesize.jpg C:\

If you like to scan and export multiple drives or folders, we recommend that you either use one call for each drive or folder, or that you use the command line option like in the following example:

tsizepro /HTML d:\html\drive_c.html /PIECHART d:\html\drive_c.jpg C:\ /HTML d:\html\drive_d.html /PIECHART d:\html\drive_d.jpg D:\

/NOGUI No window will be shown and the application will not appear in the task bar. Useful for background scans. Caution: Use this switch only if you have tested the rest of the command line options, because error messages cannot be displayed in this mode. However, it tries to log errors in the event log of Windows.

/OPEN Opens a saved XML report on application start. Example:

tsizepro /OPEN C:\Reports\Drive_C.xml

/PIECHART Saves the pie chart of the scanned directory to a bitmap, PNG or JPEG file. The following example will scan the drives C:\ and D:\ and produce a chart for each one in PNG format:

tsizepro /PIECHART C:\Temp\c.png C:\ /PIECHART C:\Temp\d.png D:\

/PRINT Prints a report for the scanned folder to the default printer. The application will be terminated after printing. Usage example:

tsizepro /PRINT C:\ D:\

/PRINT1 Prints only the first page of a report for the scanned folder to the default printer. The application will be terminated after printing. Usage example:

tsizepro /PRINT1 \\SERVER\USERS

/RESTRICTED Starts TreeSize in a "readonly" mode, in which the user does not have access to Explorer context menu, may not rename or delete files or folders and the buttons for the Software applet and to connect a network drive are not available in the tool bar.

/SAVE Saves the results to a text file after scanning is finished. The application will terminate itself after saving. Example:

tsizepro /SAVE C:\Results\c.txt C:\

/SEARCH Opens the File Search window of TreeSize Professional 3. If ':Start' is added to this command line option, the search is started immediately with the settings used the last time. If TreeSize finds ':Internet' added to this command line option, it will start searching for temporary internet files and delete them. The drives activated during the last regular scan will be scanned, a special set of drives and paths can be specified on the command line (separated with blanks). Usage example:

tsizepro /SEARCH:Internet

The settings of the last performed File Search will be used. However, you can specify the search patterns for the temporary file search using the /FILTER command line option. Tip: You can use the /SAVE command line option to save the results of the File Search to a text or CSV file.

/TITLE Can be used to change the title of the printed or exported report. That allows you to supply additional information to the user when using TreeSize Professional 3 in an automated environment

tsizepro /TITLE "This is drive C on Server3" /PRINT \\Server3\C$

/USERSLIST This options allows you to save the statistics showing the results grouped by username to CSV file. The following example scans drive C: and creates a CSV file in C:\Temp with the statistics of the users on this drive:

tsizepro /USERSLIST C:\temp\C_users.csv C:\

/XML Saves the results to an XML file that can be loaded again later and can be used for comparisons.

tsizepro /XML C:\Results\Allusers.xml H:\users\

Directories At the end of the command line, you may pass one or more paths that should be scanned by TreeSize Professional 3. The wildcards * and ? are allowed. Example

tsizepro H:\users\A*

Scheduled Start
If you are using Windows 98/ME or Windows NT4+ with Internet Explorer 5+ installed, you can use the 'Scheduled Tasks' folder to run TreeSize Professional daily at a certain time. Just add a new daily task and choose TreeSize Professional as program to execute. Before finishing, choose to change additional properties of this task and add the command line options you want after tsizepro.exe.

If you are using Windows NT4 or later, you can also use the at command to perform scheduled scans. If you for example want to scan the drives C: and E: next night at 03:00 a.m. and save the results to an Excel file, you must enter the following on the NT command line:

at 03:00 "C:\Program Files\JAM Software\TreeSize Professional\tsizepro.exe" /EXCEL c:\temp\tsp.xls /EXPAND 2 c:\ e:\

If you want to see the results of the file search on your screen when you come in your office in the morning, you should enter something like:

at 06:00 /INTERACTIVE "C:\Program Files\JAM Software\TreeSize Professional\tsizepro.exe" /SEARCH:Start

Read more about the at command in the Windows NT help. Error messages occurring during scheduled scans are listed in the Event Log of Windows NT/2000.

Windows Scripting Host
If you intend to use the Windows Scripting Host (WSH), your command to start TreeSize Professional will look like:

Set Shell = CreateObject("WScript.Shell")
Shell.Run """C:\Program Files\TreeSize Professional\tsizepro.exe"" /XML c:\temp\drive_c.xml c:\"


Notes on NTFS

The file system NTFS, which can be used with the operating system Windows NT or later. It offers some special features which also have consequences for TreeSize Professional 3. In the following we will describe some of these features and their impacts on this software.

Access Control Lists
A user under Windows NT/2000 can restrict the way other users can access his files and folders, he can grant or deny other users or groups certain rights like reading, writing, executing or deleting files. That way a user can even deny the Administrator to access his files and folders. If an Administrator tries to access a folder in the Explorer, to which the owner denied any other users read access, an "Access Denied" error message will be displayed. However, TreeSize Professional 3 is able to scan such folders, if you are logged in as Administrator or as a user that has the right to perform backups (This option can be changed at Control Panel / Administrative Tools / Local Security Policy under Windows 2000 and with the user editor of Windows NT).

File Based Compression
NTFS supports compression on an individual file basis. Files that are compressed on an NTFS volume can be read and written without first being decompressed by another program. Decompression happens automatically during the read of the file. The file is compressed again when it is closed or explicitly saved.

The space occupied by a compressed file is usually much smaller than its normal size. As a consequence, for folders that are partially or completely compressed, the allocated space reported by TreeSize Professional 3 may be smaller than the size reported for this folder. TreeSize Professional 3 is able to show the compression ratio in an extra column in the details view. Additionally it can show compressed files and folders in a different color, these features can be turned on in the Options dialog.

The NTFS version that comes with Windows 2000 supports an additional concept, that is similar to compressed files: sparse files. Files which are large but only partially used are called sparse files. Because the operating system does not allocate disk space for the unused parts of a sparse file, it occupies less disk space than its actual size is. TreeSize Professional 3 treats sparse files like compressed files and also calculates the compression ratio for them.

Reparse Points: Volume Mount Points and Symbolic Links
Since Windows 2000 NTFS supports volume mount points and symbolic links. A volume mount point is an existing path where you "mount" another volume. Given this, users and applications can refer to the mounted volume by that path. It allows you to unify into one logical file system disparate file systems. symbolic links work similar: If you for example have an empty folder C:\Documents\Images, you can create a symbolic link to E:\Pics in it. Applications will then see the content of E:\Pics in C:\Documents\Images.

If you have the Option "Follow Mount Points and Symbolic Links" turned on, TreeSize will include the contents of these folders when scanning. Since they are not physically stored on the drive you are scanning, this may produce irritating results.

A final note: If you are scanning an NTFS volume via network with the Professional edition, file based compression and reparse points can only be handled correctly, if you are scanning on a Windows NT/2000/XP client. The API of Windows 9x cannot handle these features, so reparse points and compressed files will appear as normal folders and files.


Index

FAQ - Index

· General / Registration

· Main Program

· Printing / Export

· File Search


General / Registration

FAQ - Purchase / Registration

Q: Which operating system does TreeSize Professional 3 run on?
A: Currently the following operating systems are supported: Windows NT4, Windows 98, Windows ME, Windows 2000 Professional, Windows 2000 Server, Windows XP, Windows 2003 Server.

Q: Does the setup copy any files to the Windows directory?
A: No, all files of TreeSize Professional 3 are copied to the selected installation path. The main executable file is even able to run without installation.

Q: How can I order TreeSize Professional 3 and how will the product be delivered?
A: You may order TreeSize Professional 3 online at http://www.jam-software.com/prices.shtml. You will find a fax order form there as well. We accept purchase orders from companies and will invoice them with NET30 terms. After your order is processed, you will be able to download the full version of the product in our customer's area. If you choose to receive the software on CD, shipping costs will be added to your order. You will then receive the software by air-mail within 2-7 days, dependant on where you are located.

Q: What is the difference between the Professional and the Personal edition?
A: The Personal edition has the same features as the Professional edition, except that it does not support network drives, Windows Server systems, command line options and exporting the data.

Q: What is the difference between the evaluation copy and the full version? Will there be additional features?
A: The evaluation copy allows you to test the software before you buy it. The maximum time to do this is 21 days. Further usage of the software after this period is not permitted and violates the law. In order to allow our customers to fully test our software products, our evaluation versions usually do not contain significant limitations. But the software may remember you from time to time that you should purchase the software after your testing is finished. After purchasing the full version, registered customers will get free updates within the current major version.

Q: I just purchased your product. How can I now activate my trial version?
A: You have to download the full version of the software from our customer's area at http://www.jam-software.com/customers/. The login data can be found in the email or in the printed license which you have received after the purchase. In case that you do not have your login data any more, you request them to be sent to the email address that you have used for purchasing the software.

Q: How much do updates costs?
A: Updates within a major version number (e.g. V3.x) are free. Registered customers can purchase the update to the next major version for a reduced price (around 40% of the regular price) in our customer's area at: http://www.jam-software.com/customers/

Q: Why don't you use activation codes which turn the trial version into a full version?
A: We do not work with activation codes, because you can find them very easily in the internet. We are working with a separate trial and full version. After purchasing, our customers receive the download address for the full version and a password which is needed for installation. You should keep both in a safe place.

Q: Although I have purchased the full version of your software product, it still shows "UNREGISTERED" in the window title. Why?
A: There are 3 possible reasons why "UNREGISTERED" still shows up:
1. You did not download and install the full version from the URL you received after the purchase.
2. You have accidentally installed the trial version again. (Have you been asked for a password?)
3. You have installed the full version to a different folder than the trial version, which is now still on your disk.


Main Program

FAQ - Main Program

Q: Why is the occupied space that Windows shows in the properties dialog of the drive larger than the allocated space that TreeSize Professional 3 reports.
A: The Windows Explorer shows the space that is physically allocated on the drive while TreeSize shows the space that is occupied by all files under a certain path. Beyond the space that is needed for storing the files itself, additional space is used for storing management data like the File Allocation Table of the file system or the boot sector. It is not possible to free this space with TreeSize or any other tool. This is usually 0.5-2% of the occupied space. Another possibility is that you are using Software RAID, like Windows NT/2000 offers it, which spreads the data with redundancy over several disks. These disks will appear as one logical volume and the failure of a single disk will not cause any data loss. But for storing the redundant information, additional space is needed. If a drive letter points to a subfolder of a network drive, the allocated space (correctly) reported by TreeSize Professional may also be much smaller than the physically allocated space on this drive reported by the Windows Explorer, because possibly the whole drive is not accessible through the network. A further possibility is that not all parts of the drive could be scanned due to security restrictions.

Q: For some folders TreeSize shows last accessed / changed dates that are far in the future. Why?
A: The last access/change date that TreeSize shows for a folder is the latest last access/change date of a file inside this folder and its subfolders. Most likely, somewhere in these folders are files with a last access/change date far in the future, and so the last change date of the whole folder has the same date. You can try to search for these files using the Windows file search. These files are often a result of Y2K test or of a client PC with a wrong system date.

Q: Why do all files on my disk have the same last access date which is not far in the past?
A: Windows updates the last access date of a file each time when an application accesses or reads a file. Many backup and virus tools access every file on your harddisk regularly without restoring the prior last access date.

Q: Scanning a server disk via network is very slow. Is it possible to speed up this process?
A: Scanning a drive via network is normally much slower than scanning a local disk, because the bandwidth to the network is much lower than to your harddisk. Additionally, server drives usually are much bigger and contain more files than local hard disks. But you can use the Command Line Options to perform your scans overnight. Network drives and command line options are supported by the Professional edition only.

Q: Is it possible to have the program ignore displaying folders in the tree that are less than a certain size?
A: In the context menu of the topmost folder, you can choose to remove folders below a certain size. To achieve this, press the right mouse button on the topmost icon (or use the "Branch" submenu of the "File" menu), select "Expand" and then "Remove Folder <XX MB".

Q: Is it possible to add the free space to the bar chart?
A: The free space is added to the pie chart if TreeSize Professional 3 is in the "Allocated Space" mode and the root of the scanned drive is selected. In other situations (e.g. if a subfolder is selected or the "Wasted Space" mode is active), it doesn't make sense to add the free space, because the relationship between the free space and the other values displayed is wrong.

Q: Can I scan network drives and hidden shares like \\Server\C$ without connecting them to a drive letter?
A: Yes, in the Professional edition you can use UNC names like \\SERVERNAME\Share to access a network drive by entering them in the drive combo box on the top of the main window. You can also use UNC names on the command line.

Q: I would like to save a set of drives and folders that are scanned each time I start TreeSize Professional 3. How do I do that?
A: You can simply create a shortcut to Tsizepro.exe on your desktop or start menu and add those drives and folders to the command line, separated with a space character. See chapter Owner more detailed information.

Q: How can I limit a scan to just one user's files?
A: Please make sure that the option "Group by user" is activated in the Options of TreeSize Professional 3. After the scan is finished, please right click on this user on the "Users" tab and choose "Limit to this user" from the context menu.

Q: Why does TreeSize Professional 3 not support Unicode characters?
A: One reason that we currently do not support Unicode characters is that our development environment does not yet support this. The second reason is that a program that uses the Unicode API calls of Windows NT and later, will not run any more under Windows 9x. But we will surely switch to Unicode in a later version of this software. If TreeSize Professional 3 tries to scan a folder name containing Unicode characters, an error message will be displayed and TreeSize will continue using the 8+3 DOS name of this folder. These error messages can be turned off in the Options dialog.

Q: Why do error messages appear when I am scanning a directory tree that contains Mac files?
A: Under MacOS file and folder names may contain characters that are invalid under Windows (e.g. /, |, <, >, ?) or that are not part of the normal Windows character set. Normal Windows applications cannot access these files or folders, in this case TreeSize uses the 8+3 DOS name of the folder. The error messages that are shown can be turned off in the Options dialog of TreeSize Professional 3.

Q: On a Novell Netware volume, TreeSize reports compressed files as uncompressed and the user names are missing in the Owner columns. Why?
A: Unfortunately the Netware client for Windows does not support information about compression and file owners through standard Windows API functions. So developers have to integrate special support for Netware in their applications. We may address this issue in a later version of TreeSize Professional 3, but so far, we do not actively support Netware. All other parts of software work fine with Netware volumes.

Q: Why does TreeSize Professional 3 not include my disk into its calculation, which is mapped to a directory using the Disk Manager of Windows 2000/XP?
A: Switching the option "Follow mount points and symbolic links" in the Options of TreeSize Professional 3, you can control if mount points and symbolic links should be followed or if they should be excluded from the calculations.

Q: Is it possible to perform a silent installation of this software?
A: Starting the setup with the command line parameters /SILENT /PASSWORD=YourInstallPassword will perform a silent and automatic installation with the default settings. Please replace  YourInstallPassword with the installation password that you received after your registration. Using /VERYSILENT instead of /SILENT will prevent any visual feedback. The option /DIR="x:\dirname" can be used to override the default install path.

Q: Is it possible to search for file extensions with TreeSize Professional 3?
A: You can for example apply a filter for a scan in the Options by adding patterns like *.bmp to the edit field. A second possibility is to enable the "Group by Extension" feature in the Options. This will provide a detailed statistics for the file types in each sub tree and you will we be able to limit the values in the directory tree to one file type. A third possibility is to use the Temporary File Search of the File Search module by adding your custom extensions on the "Temporary files" tab after pressing the "Configure" button. Our new product SpaceObServer has extended and more flexible reporting features if needed.

Q: The wasted space shown by TreeSize is extremely high. How can I reduce the wasted space?
A: Most likely you are using the FAT file system which usually produces a lot of wasted space due to its large cluster size. Please read the chapter "Wasted Space" in the Help file to understand what wasted space is and to learn how to reduce it.


Printing / Export

FAQ - Printing / Export

Q: How can I specify the columns that should be included in the printed report / exported Excel file?
A: Under View / Options / Columns you may choose the included columns after selecting one of the export options in the dropdown box on top of the window.

Q: I would like to print an entire list of contents of my harddisk including the files. Why does TreeSize Professional 3 not support this?
A: A normal Windows 2000 installation itself already has 6000 - 8000 files in the Windows directory. Just printing this directory would produce 90 - 130 pages and printing a whole drive would produce much more pages. Therefore TreeSize Professional 3 only supports printing the contents of the currently selected folder. The Professional edition of TreeSize allows you additionally to export a complete list of all files on the scanned drive or folder to the clipboard, which allows you further processing of the list like inserting it in a database or spreadsheet.

Q: Why does TreeSize Professional not export the file names to my Excel / HTML / Text file?
A: The export functions of TreeSize Professional were mainly designed to export informations about folders and their size. However, you can copy a complete list of files to the clipboard using the context menu of any folder in the tree. You may also try our freeware command line utlity FileList, which was designed to generate simple file lists without the overhead of a GUI application.


File Search

FAQ - File Search

Q: How can I search for files of the type XYZ?
A: The Windows file search already does this job quite good. TreeSize Professional 3 has been created with a focus on cleaning up and finding obsolete files, however there are of course possibilities to find certain file types. You can e.g. activate only the search for Temporary Files, there you deactivate all search patterns and add a pattern for the file type(s) you are interested in. Another possibility: In the main application set a Filter in the Options dialog. Then TreeSize Professional 3 will only include matching files when calculating the folder sizes. The results will provide a good overview about the distribution of these file type(s) and can be exported to a text file using the context menu. Our product SpaceObServer, which keeps the data of watched file systems in an SQL database, has faster and more flexible search and report features.

Q: Is it possible to check several or all files in the File Search window at one time instead of checking them individually?
A: You may select several files using a left mouse click while holding the Shift or Ctrl key down. You may also press Ctrl+A to select all files in the list. Using "Check" from the context menu then checks all currently selected files. Some successive files can also be easily checked by pressing the space bar several times. The space bar checks the currently focused file and advances to the next file in the list.

Q: Why does TreeSize Professional 3 not include a duplicate file search?
A: We made several tests with existing duplicate file search tools. The amount of disk space that could be recovered was always negligible, because only very few files were "true" duplicate (obsolete) files. But the amount of time that was needed to go through the list of duplicate files was huge. The conclusion was that one can free up more space in less time using the directory size and the File Search, so we decided not to include a duplicate file search.

Q: Which files can I delete safely?
A: Unfortunately there is no short and easy answer to this question, because usually one cannot know from where a file comes and what it is used for. Generelly temporary files and cache files of the internet browsers can be deleted safely nearly always. Besides deleting files, the file search of TreeSize Professional 3 offers you to move files to a different drive or to a compressed ZIP file, which can then be archived. That way files which are still needed can be easily restored.


Options Dialog

This Options dialog of TreeSize Professional 3 can be opened using appropriate menu item in the View menu. It allows you to change the view and scan options and consists of the following tabs:

· View
· Scan
· Include / Exclude
· Columns


View Tab

Options Dialog - View Tab

Different Colors For Compressed Files and Folders If this option is turned on, compressed files on an NTFS volume are shown in a blue color. Folders that are partially compressed will have a dark blue color, files and folders that are entirely compressed will show up in a light blue color. For more information on file based compression, see Notes on NTFS.

Show Files When this option is selected, TreeSize will display the files in a folder summarized in one object in tree. Also all files of a folder will appear in the Details View.

Show Chart toolbar Use this option to display an additional toolbar for the Charts.

Automatically Update Right Pane During Scanning If this option is turned on, the right pane of the main window will be updated from time to time. This allows you for example to watch the bars of a chart growing while scanning large drives. Use the dragbar to set the interval of the updates.

Decimals Choose the number of decimals that should be used when TreeSize displays or prints values.

Number of Folders in the Recently Used list Adjust the number of recently scanned folders that TreeSize Professional 3 should memorize for quick access in the File menu or the dropdown box in the toolbar.

Bold Factor If the size of folder is greater than the set percentage or absolute value of the complete size of the scanned folder, the folders label will be shown bold. This allows you to find quickly the largest folders. If you don't want bold folder labels, choose 100%. You can apply these settings also for printed reports as well by using the checkbox below.


Scan Tab

Options Dialog - Scan Tab

The settings on this page affect the behavior of TreeSize Professional 3 during scanning. Changes on these settings usually require a rescan of the currently scanned drives and folders to take effect.

Follow Mount Points and Symbolic Links This option is relevant for NTFS drives only. You can decide if TreeSize should follow symbolic links and mount points (see Notes on NTFS for additional information).

Show Error Messages Here you can decide if TreeSize Professional 3 should show error messages during scanning. If you for example scan a network drive on a Windows NT server and don't have read access to all folders, Windows will pop up an error message for every unreadable folder. If you don't want the scanning process interrupted by these message boxes, deselect this checkbox.

Group by user when Scanning If this checkbox is activated, TreeSize Professional 3 will additionally generate a statistics for the file owners in each subtree. The results can be viewed on the "Users" tab of the main window, where you are also able to limit the values in the directory tree to one file type. Since it is necessary to obtain the owner of each file, this option will slow down the scanning process if activated.

Group by extension when Scanning If this checkbox is activated, TreeSize Professional 3 will additionally generate a statistics for the file extensions in each subtree. The results can be viewed on the "Extensions" tab of the main window, where you are also able to limit the values in the directory tree to one file type.

User Defined Cluster Size Use this option to look, how the values for allocated and wasted space would look like with a different cluster size or filesystem. Changing this option will make a rescan necessary. This options will not be saved when you exit TreeSize Professional 3 in order to avoid wrong results when using it the next time.


Include/Exclude Tab

Options Dialog - Include/Exclude Tab

The Include/Exclude tab allows you to filter the scanned files and folders:

File Types If you want to have information about certain file types only, you can specify a filter here. You can use multiple filters separated with blanks. So If you for example want to see how much space your executable files and their libraries occupy, use the filter "*.exe *.dll" here. If you want to include all files use "*". Changing this option will make a rescan necessary. This options will not be saved when you exit TreeSize Professional 3 in order to avoid wrong results when using it the next time.

Include only files created in the past XX days This option is quite self-explanatory and can be useful to calculate the size of backups or to identify "heavy growing" folders.

Include only Files with Archive Bit Set This option is useful if you are interested in the size of a backup, that will be performed based on the Windows Archive Bit.

Excludes If you want to exclude certain files or folders from scanning, add matching patterns here. A pattern may look like "Windows" or "*.tmp". Files or folders matching one of the specified patterns will be ignored during a scan.


Columns Tab

Options Dialog - Columns Tab

On the Columns tab allows you may choose the columns that should be visible. You may choose the columns separately for each "output media" (details view, Excel export, printed report, text file, etc.) by first selecting the appropriate entry in the dropdown box on the top. The following columns are available:

Name The name of the folder or file.

Full Path The full path, including the object's name.

Size The size of the object.

Allocated The space, that the object currently occupies on disk (see also: Wasted Space).

Files The number of files in a folder.

Folders The number of subfolders in a folder.

Wasted The amount of space that is wasted by the file system (see also: Wasted Space).

% of Parent The amount of space in percent that a folder or file occupies relative to its parent folder.

Last Change The last change date of the object. TreeSize Professional 3 calculates the last change and last access date more precise than the Windows Explorer, so the values shown in the Windows Explorer may differ.

Last Access The last access date of the object.

Compr. The size in percent by which an object has been compressed using the built in compression of the file system (see also: Notes on NTFS).

Owner The user name that owns a folder or file.

CD-ROM Size The amount of space that an object would occupy on a CD-ROM.

Current Date The current date. This column can be useful if you want to post process the collected data, e.g. in a database.

Attributes The file attributes Readonly (R), Hidden (H), System (S), Archive (A).

File Type The file type, e.g. "Text file".

Dir Level The level of an object in the file system. This value can be useful when postprocessing the collected data.

Creation Date The date on which the object has been created.

Path (Without Name) The full path to object, not containing the object's name.

Avg. File Size The average size of a file in a folder.

Permissions The access permissions to the object in the format: Username1: +/-R +/-W +/-X Username2: ... where "+" means the right is granted and "-" means that the right is denied.

File Version The version number that is included in EXE, DLL OCX and similar binary files.

Title of Scan By default the title (volume label and drive letter) of a scan. It can be changed using "Set Title" in the File menu. This value can be useful for archiving purposes.

The column, that should be visible in the details list can easily be selected by right clicking on the column header:

Export

Full Export With this option activated, the whole file system tree that was scanned, will be exported or printed.

Expanded Folders Only Only those parts of the file system tree will be exported, that are expanded on the left pane of the main window.

Header Line Use this option to control, if a header line containing the column headers should be added to the exported file or the printed report.

Default Export File Here you can specify an Excel file, to which by default exported data should be written (Professional Edition only).


File Menu

The File Menu allows you to select folders for scanning, remove folders from the TreeSize Window and to print or export the collected data.

Select Directory Shows a dialog which lets you choose a folder for scanning. You can also enter a path directly into the drive combo box in the toolbar.

Load XML Report Opens an XML report that has been saved earlier. That way you can view earlier results without performing a whole scan again.

Save XML Report Save the information of the current file system branch to an XML file. This file can be loaded to TreeSize Professional 3 again at a later time or can be used to perform a compare at a later time. TreeSize Professional 3 ships with an XSLT file that formats the data inside the XML file for pretty output in an browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5).

Compare With XML Report Loads a saved XML report and compares it to the current one by "subtracting" the old size information from the current one. That way, folder unchanged in size will show up with a size of 0 after the comparison, folder that have grown will have values greater than 0 and will be displayed in red color. Folders that became smaller compared to the loaded report will have negative values an will be displayed in green color.

Export Only available in the Professional edition. See chapter Export Submenu

Set Title Allows you to set a title for the currently active branch, which will be used when the folder data is printed or exported. The default title includes the path of the scanned folder and the volume name of the drive where the folder resides on.

Print Report Prints a detailed report of the current folder. See Printing.

Print Report for All Prints a detailed report for all scanned drives / folders in the left pane-

Print Chart Prints the currently visible Chart.

Print Folder Contents Prints a list of all objects in current folder, including the icons, size, date, etc.

Page Setup Shows the Page setup dialog where you can specify the margins for printing, paper size etc.

Printer Setup Shows the print setup dialog.

Exit Closes TreeSize Professional 3.


Export submenu

The Export of the File menu submenu is only availbale in the Professional edition and allows you to export the collected in data in different ways. You may customize the kind of data (columns) that will be exported on the columns tab of the Options dialog. For all ways of exporting applies, that only those folders will be exported, that are currently visible (expanded) on the left pane of the main window. That way you may customize the level of folders that will be exported manually or by using the context menu. If you would like to export the whole file system tree by default, adjust the appropriate setting in the Options.

Save Data As Save the collected data to a tab separated text file.

Save as HTML Allows you to save a report as HTML file, which can be viewed with any HTML browser later. HTML files are more easy to read than text files and don't require a special application like MS Excel.

Export Data to Excel Exports the collected data to MS Excel.

Copy to Clipboard Copies the data of the current file system branch to the clipboard in text format.

Send by Email Sends the current data as an text email via MAPI.

Customize Open the Options dialog which allows to customize the output columns.

Use Plain Numbers Activating this option will save the results not in the format "10.2 MB" but will save the size information as the number of bytes in plain (e.g. 10695475). That may make postprocessing of the data easier.

Copy List of Files Copies a list of all files in the current folder (and its subfolders) to the clipboard. You can paste this list to your favorite spreadsheet or word processor.


Branch Menu

The main menu bar has a "Branch" menu that contains some actions that can be applied to complete scans / branches.

Update Rescans the current branch completely.

Automatic Updates Allows you to turn on or off automatic updates for the currently selected scan. If automatic updates are turned on, TreeSize Professional 3 listens to the Windows change notifications and updates the changed folders. It will also update the size of a folder if it gets listed on the Details sheet. If you don't want the size information to change after the scan has finished, you should turn off Automatic Updates.

Expand The Expand submenu equals the one in the context menu.

Remove From TreeSize This menu item will remove the currently selected scan from the view.


View Menu

You can choose different types of values for displaying in the tree on the left side:

Size In this mode the size of the files in a folder including all subfolders will be shown.

Allocated Space This will show the amount of space that is allocated on disk for this folder, again including all subfolders.

Percent Shows how many percent of the parent folder's size each folder occupies.

Wasted Space Shows the amount of space that is wasted by the filesystem for the storage of all files in this folder, including all subfolders.

CD-ROM Cluster Size This mode will show how much space a folder would occupy on a CD-ROM.

Use the next menu items to switch between different view modes for the right pane of the TreeSize Professional 3 main window:

Bar Chart Shows a bar chart on the right side of the window. Each bar shows the size and the wasted space for each folder, which together is the space allocated for this folder.

Pie Chart Shows a pie chart on the right side of the window. The values displayed in the pie chart depend on the currently selected view mode (Size, Allocated Space, Wasted Space etc.)

Detailed List Shows a list with all objects in the current folder. For each object, you can see the size, the allocated and wasted space, the number of files, the last access and change date and the percent of the parent folder in.

You can change the way TreeSize displays the sizes using these menu items or the corresponding toolbar buttons. The number of decimals can be changed in the Options dialog.

Values as KB All size values will be shown in KB.

Values as MB All size values will be shown in MB.

Values as GB All size values will be shown in GB.

Mixed Units For each value an appropriate unit (KB/MB/GB) is chosen automatically

To change the main settings of TreeSize Professional 3:

Options Shows the Options dialog.


Sort Menu

Sorting

Sort by size The largest folders will be displayed first.

Sort by name The folders will be sorted alphabetically.

No Sorting No Sorting is done. This can be useful when scanning large folders drives, because folders don't permanently change their position.


Tools Menu

Update All Rescans all folders which are currently listed in the TreeSize Professional 3 main window. You can update an individual folder through the context menu of this folder.

File Search Shows the 'File Search' Window, which allows to search for obsolete files.

Add/Remove Software Opens the 'Add/Remove Software' applet of the control panel.

Connect Drive Opens a window that allows you to connect a network drive to a drive letter (Professional edition only).


The Context Menus

Context Menu

File System Tree
When you right click on a folder or file in the tree on the left, TreeSize will display the explorer context menu. Additionally you will find the following menu items in the TreeSize submenu

Full Expand Expands the selected folder and recursively all its subfolders

Full Collapse Collapses the selected folder and recursively hides the subfolders

Update Branch Updates only this part of the tree, which is usually faster than updating the whole directory.

Remove From TreeSize (Temporarily) Using this menu item you may remove a folder from TreeSize and its calculations. The removal is only temporarily, the folder will not be deleted physically from the disk. So it will come up again during the next scan.

The topmost item of each scanned folder has a different context menu, which looks like this:

To Level x Selecting this menu item will show the first x levels of the current folder.

Expand Folder over This menu item allows you to expand only those folders in the tree, which are larger than a certain size.

Remove Folder <xxxMB Selecting this menu item will remove all folders which are smaller than a certain size from the directory tree.

Set Size Allows you to specify the folder size for the above two operations.

Remove from TreeSize Remove this folder from the TreeSize Professional 3 window.

Update Rescan this folder and update the information.

Details List
The details list shows the Windows Explorer context menu when you right click on an item. Additional a submneu labeled "TREESIZE" is included which shows all information that is available about the selected item, including the columns that are currently not activated. This submenu may also be use to activate or deactivate columns.

details-context-menu


The File Search Window

The 'File Search' window allows you to search for big, old and temporary files. You will find the following tabs on the top of the window:

Biggest Files This page allows to search for the biggest files on your harddisk. You can specify a minimum size in kilobytes or megabytes. All files, which are larger than this value, will be shown in the list.

Oldest Files This page allows you to search for files, that have not been changed or accessed since a certain date. You can limit the search to entire folders, in this case only folders will be listed in which all files match the search criteria. This allows you to identify branches of the file system that are not in use any more.

Temporary Files This page allows you to search for temporary files. Use the "Configure" Button to customize the settings of the Temporary File Search.

Internet Files This page allows you to search for temporary internet files, like the files in the cache of the browsers Netscape Navigator and Internet Explorer. On FAT drives, these files produce a lot of wasted space, because most of them are very small. The search for temporary internet files can be automated with the command line option /SEARCH:Internet.

Options Here you can choose which drives and which of the above search types will be included in the search. You can add additional paths to the list by pressing the button below the list. All checked drives will be included in the search. Network drives are only supported in the Professional edition.

You will find the following buttons on the right side of the window:

Start This button will start the search. You can now either close the window or you can look at the partial search results by selecting one of the tabs. You will hear a beep when the search is finished.

Stop Allows you to stop the search.

Hide Window This button will close the search window, but the search will continue. So you can look at the results later. You will see an animation below this button, as long as the file search is running.

Save Results This button allows you to save the search result of the currently active search type in a tab separated text file (CSV file).

Move Checked This button allows you to move all files in the lists, which are checked left of their file name, to the recycle bin or to a position in the file system that you can specify. If you choose a file system location, all files will be moved there under preservation of the file system structure. You may also move the checked files to ZIP file. TIP: You can easily check a group of files by keeping pressed the space bar or by selecting multiple files with the Shift or Ctrl key and then use the context menu.


Temporary File Search - Configuration

Patterns
The main part of the Temporary File Search is based on typical filename patterns. You may customize these patterns using the "Customize" button on the top of the Temporary File Search. You may change or delete existing patterns as well as add new patterns. Using the checkboxes on the left, you can activate certain patterns without deleting them.

Include files with temporary attribute
Applications that create a temporary file may inform the operating system with a special flag about this fact. With this checkbox activated, TreeSize Professional 3 will include such files in the search results.

Include files that do not belong to a valid account
If a Windows account is deleted, files belonging to this account are not deleted automatically and may keep occupying space on the hard disks. With this checkbox activated, TreeSize Professional 3 will include such files in the search results. Since it is necessary to get the owner of each file on the searched disks, activating this option will slow down the scanning process.

Include Links without a valid target path
With this checkbox activated, TreeSize Professional 3 will check for .LNK and .PIF files, if the destination path exists. If this is not the case, such a file will be included in the search results.


Registration

TreeSize Professional 3 - Registration
Previous Top

Thank you for your interest in our software product. There are different ways for ordering:

1. Secure Online Purchasing is possible from our Web Page. You will find a fax order form there as well.

2. European companies can be invoiced. Just send or fax your order to the address below. A price list for multi user licenses is available on our web site. Please include your VAT ID number in the EU!

JAM Software E-mail : >sales@jam-software.com
Joachim Marder WWW : www.jam-software.com
Bruchhausenstr. 1 Fax : ++49-700-70707059
54290 Trier
Germany

After registering, you will receive the address of the (secret) download page for registered users, where you can download the full version of our software. Registered users will get support via e-mail and future updates within the same major version number are free.


Copyright & Contact
Top

Copyright ©1996-2004 by:

JAM Software
Joachim Marder
Bruchhausenstr. 1
54290 Trier
Germany

Fax: +49-700-70707059

E-mail: >treesize@jam-software.com

WWW: http://www.jam-software.com


.topic 531
Please refer to the numbers in the picture when reading the following description.

1.	Here the user can select, which drive or path should be scanned. Press the button with the arrow on the right to start scanning. TreeSize Professional 3 here remembers the last paths that have been used.

2.	Here the user can get an overview about the currently scanned drive. This and the other toolbars can be turned off in their context menu.

3.	The "Chart"-page shows a pie or bar chart of the currently selected directory. Use the context to show a toolbar with advanced charting features.

4.	The "Details"-page shows detailed information about the subfolders and the files inside the currently selected folder.

5.	The "Extensions"-page shows the size information grouped by file types, that way you will get an overview what file types eat up most of the space.

6.	The "Users"-page shows the size information grouped by user names, this allows you to see which users use most of the disk space.

7.	The file system tree of the scanned folder or drive gives you an immediate overview about the size of each folder.

8.	The status bar informs about the allocated and free space of the current drive, the file system type, etc.

.topic 35
Changes in V3.3.3:
Bugfix: Folders starting with two or more dots were not included in the scan.
Bugfix: The setting for printing the whole directory tree (instead of the expanded only) was not producing the expected results.
Bugfix: The Details list was not filled for folders that are mountpoints.
Bugfix: Occasionally an error occurred if a folder was selected in the tree that was deleted remotely from another PC.
An error message was removed, that occurred for loaded XML reports, for which the original path is not available on the local machine.

Changes in V3.3.2:
The Details list now shows tool tips for column values that are not entirely visible.
Bugfix: The context menu item "Copy Selected Entries As Text" of the Details list was copying not only the selected entries to the clipboard.
Bugfix: Files moved to a ZIP file using the TreeSize Professional 3 File Search now contain their full path again.
Bugfix: If a very large number of files were moved to a different file system path using the TreeSize Professional 3 File Search, moving occasionally failed with an error message in previous versions.
A few minor bug fixes and improvements have been incorporated.
We have followed the request of many private users and have created a lower priced Personal Edition of TreeSize, which has the same features as the Professional Edition, except that it does not support network drives, Windows Server systems, command line options and exporting the data.

Changes in V3.3.1:
Performance increases have been achieved, especially for scanning and viewing folders with a large number of direct subfolders.
A double click on a file in the chart now opens this file.
Not creating any more a [Files] item for folders that do not contain any files.
Improved handling of folder renames, if automatic updates are activated.
The Tools menu now has an entry for emptying the Windows recycle bin.
The Extensions and Details sheet now also have a small toolbar, that can be turned on or off using View / Toolbars
Enabling/Disabling of the chart toolbar has been moved from the Options dialog to View / Toolbars
Bugfix: If the view was limited to a certain file extension, the files were not listed in the Details list in the previous.

Changes in Version 3.3:
Introduced a mixed mode for units, in which an appropriate unit (KB/MB/GB) is used dependant on the displayed size.
Windows file change notifications are now used in order to update changed directories automatically. Since V3.0 TreeSize already updated the size information of a directory (non recursively), if its content was displayed in the Details view. All automatic updates can be turned on or off using a new button in the toolbar.
A new column has been added that can show the file version that is included in most EXE, DLL, OCX etc. files. Additionally a column has been added that shows the title (volume label and drive letter) of a scan. This can be useful for archiving purposes.
The context menu of the Details item now contains a submenu with all available information about this item, including the ones of non visible columns. This submenu can also be used to activate or deactivate columns.
The main menu bar now has a "Branch" menu that contains some actions that can be applied to complete scans / branches. The "Refresh All" menu item that refreshes all scanned drives / directories that are currently present in the left pane has been moved from the "File" to the "Tools" menu.
The users and the extension sheet now have a small horizontal bar chart that shows the distribution among the users / extensions.
New command line option /EXCLUDE that allows specifying exclude patterns for scanning. See help file for details.
New command line option /OPEN that opens a saved XML report on application start. It can be combined with /COMPARE.
An XSLT file is now included that formats a saved XML file for output in a browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5). But especially for large XML files the browsers may take a long time to process the data.
If a drive or path was picked from the dropdown box in the upper left corner of the main window, the scan now starts immediately. Pressing the Start button is not required any more.
The Printing and the Compare feature now indicate their progress in a small window.
The Additional "TreeSize" column for the Windows Explorer does not follow symbolic links and mountpoints any more in order to get more consistent results with the Windows Explorer and to avoid long and unwanted recursions.
Bugfix: The /EXTENSIONSLIST command line option did not work correctly.
Some minor bug fixes and several minor improvements have been incorporated.

Changes in V3.22:
The free space is now also shown for network drives in the pie chart. The  free space can be turned on and off in the right click menu of the pie chart.
The help file format was changed from Winhelp (.HLP) to HTMLHelp (.CHM)
All exports now run a bit faster
The Excel export is now more robust. If the header lines are turned off in the Options, no empty lines are above the data.
Some minor corrections

Changes in V3.21:
Removed some non-crticial error messages which occured sometimes when the application was terminated while scans were running.
Brought back the Toolbars submenu in the View menu.
Bugfix: Sorting didn't work correctly if the view was limited to a user or an extension.
Bugfix: The caption [Files] was missing in the printed reports
The new additional TreeSize column now sorts correctly in the Windows Explorer. To achieve this, we had to move from unit KB to MB and leave   out the thousands separator. Files over 4GB are now handled correctly as well. The new column can now be activated through the right click menu of the column headers of the Windows Explorer.
Some minor bug fixes and improvements have been incorporated

Changes in V3.2:
A shell extension is now included which adds an additional column to the Windows Explorer that is showing the size not only for files but also for folders. The new column can be activated in the Windows Explorer under View / Select Columns.
Similar to the "Limit to user" feature, it is now possible to limit the shown size values to a certain extension using the context menu of the extension list.
The file search now has a second Options sheet that lets you configure the number of decimals and the unit (KB, MB, GB, Mixed) that is used to display size values.
If a file matches more than one search type of the File Search, the file is now listed in all result lists instead of only in the first one.
The file search now uses one thread for each selected drive or folder when searching, which should increase the speed.
The selected printer and the paper orientation (portrait/landscape) is now saved and restored on the next application start.
The speed of the exports have been increased and now show a progress window.
The export function "Save As Text" and "Copy To Clipboard" now use the memory more efficient so that you should no more receive "Out of Memeory" errors.
The sheets of exported Excel files now have the current date as name instead of "Sheet 1" etc.
The export option "Include Headers" can now be set individually for each export format in the Options dialog on the Export sheet.
Exported files now contain information about the used filter, the user or extension to which the view was limited etc. in their header.
The function "Copy List of Files" in the Export menu now also exports the creation date of the files.
New command line option /USERSLIST that allow to export the list of sizes grouped by username.
Some minor enhancements and bug fixes have been incorporated.

Changes in V3.13:
Bugfix: In the previous versions, files which size differed only by a few bytes were sometimes not sorted correctly in the Details list.
Bugfix: Selecting a large number of files in the details view took a long time and made the application look freezed. This has been improved.
The sizes in the file system tree now get updated if a file is deleted in the details view.
Bugfix: The last column was missing in exported files.
Bugfix: The "Save List" menu item of the Extensions sheet was not working correctly in V3.10
For exported CSV files, now the list seperator specified in the control panel is used instead of the tabulator like in the previous version. This will increase compatibility with other applications like spreadsheets and databases. If you automatically postprocess exported text reports you may need to adjust the setting for the list separator in the Control Panel.
Bugfix: When the view was limited to one user, the files on the details list always showed up with zero size.
If a user is selected in the user list for filtering, this user is now shown bold.
Bugfix: When the left pane was limited to a user, the size information shown for the [Files] items was always shown as 0.
The speed of the File Search has been improved.

Changes in V3.1:
Improvements on the user interface, better XP look & feel, new icons
Charts can now be saved in PNG format as well.
You can now activate and deactivate columns in the Details list by   right clicking on the column headers (similar to Windows Explorer)
New column that displays the average file size.
New column that displays the access rights of users and groups on files and folders.
Bar charts saved as an image now shows all bars of the chart and not only those that are visible on the screen.
Excel files are now generated without the help of MS Excel. So you don't need MS Excel installed any more to export to an Excel file. Additionally, the Excel export is running faster and more stable now.
You can now specify a default file for excel export, which will be used when the export is triggered manually. You can change this file in the Options on the "Columns" tab after selecting "Excel" from the dropdown box.
You can choose for each export media, if by default the whole file system tree or just the expanded parts should be exported. This option can be set on the Columns tab in the Options dialog.
New Command Line Option /COMPARE which compares the current result with a saved XML report. This command line option can be combined with others in order to save the comparison, e.g. to an Excel file.
Now wildcards are accepted on the command line, e.g. \\Server\Users\A*
There is now an option in the context menu of the pie chart, with which the slice for the free space can be turned off.
If now the tree is limited to one user, the details list shows only files belonging this user.
For known file formats, a small thumbnail image is now displayed on the bottom right corner of the File Search window.
Bugfix: The minimum size of the Biggest File Search was not saved in the previous versions. This has now been corrected.
Some minor improvements and bug fixes have been incorporated.

Changes in V3.03:
If a folder without subfolders is selected, now the files in this folder are shown in the chart.
In the Oldest File Search with the option "Return complete folders only" turned on, incorrect icons were shown for the listed folders.
In the Oldest File Search with the option "Return complete folders only" turned on, the sizes of the folders was calculated wrongly.
The wrong context menu was shown for the [Files] entries in the Tree.
On some printers, the charts were not scaled correctly.
Switching the unit (KB, MB GB) while a scan is running, did not always reformat the whole file system tree.
Some minor bugfixes have been incorporated as well.

Changes in V3.02:
The exclude patterns in the file search were not saved. This has been changed.
Under certain circumstances not all files that have been checked in the file search window were moved when using the "Move File" button.
When saving the results of the File Search, you now have the possibilty to Select a CSV-file, which is compatible with MS Excel.

Changes in V3.01:
The export to a text file produced empty results, if the option "Include Header" was not checked.
An error was fixed in the File Sesarch module when clicking on the column header in order to sort by file type.
The images were missing in the help and PDF files
In rare cases an error message was displayed on startup, if no MAPI32.DLL could be found. This has been fixed.

Changes in V3.0:
The results can now be grouped for each folder by user or by extension.
The data can now be saved to an XML file and can be loaded again later.
A saved XML file can be used to compare it against the current version of the file system branch. The difference between the two scans will be displayed and makes it easy to see which folders have grown.
Now the columns can be configured separately for the Details list, Excel export, HTML Export, Text export and printed reports. Some new columns have been added. The columns can be selected and sorted in the Options dialog.
New columns for: Attributes, Directory Level, File Type
New toolbar that gives you a quick and easy overview over the currently selected file system branch.
It is now possible to send a text report by e-mail via MAPI
New command line option /EMAIL for sending reports by e-mail
New command line option /FILTER that allows you specifying filters
New command line option /RESTRICTED that switches TreeSize in a "readonly" mode that does not allow file system operations etc.
It is possible to restrict the scan to files which have the archive attribute set. This is for example useful to calculate the size that a backup will use.
The new /TITLE command line options can be used to change the title of the printed or exported report. That allows you to supply additional information to the user when using TreeSize Professional in an automated environment
Now folders are scanned that have been dropped on the main window from the Windows Explorer
In the context menu is a new menu item "Remove From TreeSize" which removes a folder from TreeSize and recalculates the values without deleting it from disk.
In the Options you may now select that only files created in the past XX days should be included in the search. That way you may identify folders that have recently grown much.
It is now possible to export the selected entries in the details list to the clipboard using the context menu.
The context menu of the file system tree now offers the possibility to copy the data or the file list of only the select subbranch to the clipboard.
If a selected folder is shown in the details view, TreeSize now recalculates the size of the files in this folder "on the fly".and updates its statistics
A context menu lets you show/hide each toolbar
The values in the status bar now also use the unit that the user has chosen.
Support for Windows 95 and Excel 95 has been dropped.
If the [Files] are selected, the individual files of that folder are shown in the chart.

File Search
It is now possible to move all checked files of the Obsolete File Search results to a ZIP file
The File Search now has an exclude list. A file or folder that contains one of the exclude patterns will be excluded from the file search
Files that have been created with the attribute FILE_ATTRIBUTE_TEMPORARY may now be included in the temporary file search results
The temporary file search now can also search for files that are own by an account that is not existing any more on the system.
The temporary file search now can also search for shortcuts and PIF files that have a non existing target.
Each Temporary File Search pattern now has a checkbox in front of it with which it can be turned on or off individually
The /SAVE command line options now also works for file searches and saves the results to a textfile
The size of folders is now shown in the File Search results

.topic 36
Especially scans of network drives may take a long time. With the Professional edition You may perform such scans overnight using their command line options and save the results to an XML file, which can be loaded again later.
The last access date is the day when a file was used the last time, for example when a program was executed, a DLL was loaded or a bitmap was shown the last time. So if a file has not been accessed for a long time, it may probably not needed on your system. This is great to remove unused files from your Windows and System directory.
With a user defined cluster size that you can set in the Options, you can look how the values for occupied and wasted space would look like with a different cluster size on your harddisk. A rescan of the current folder(s) is necessary when you change the user defined cluster size.
The 'filter' and 'User defined cluster size' settings are not saved to the registry in order to avoid wrong values when using TreeSize Professional 3 the next time
You can use the CD-ROM view to determine, how much space a directory tree would occupy on a CD or DVD with ISO file system. Please keep in mind that some space on the disk will be needed for the directory information.
In the Recycled Folders you will not see the same file names like in the Explorer. This is necessary to get the size and the last access date of these files.
You can scan all shares in a domain by entering the domain name in the drive combo box.
 TreeSize Professional 3 ships with an XSLT file that formats the data inside the XML file for pretty output in an browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5).
Use the 'File Search' to find large or obsolete files on your hard drives.
For analyzing the disk usage on very large servers, we recommend our product SpaceObServer. It collects the data using a background system service and stores it in a SQL database. It uses less RAM than TreeSize Proffessional and the reporting capabilities are more flexible because it is built on a database. More information is available at: http://www.jam-software.com/spaceobserver/

.topic 545
TreeSize Professional 3 now ships with a shell extension that adds an additional column to the Windows Explorer, which shows the size not only for files but also for folders. This feature is intended for a quick overview. The new column can be activated using Choose Columns/Details in the "View" menu of the Windows Explorer or through the context menu of the column headers of the Windows Explorer . This column is not available under Windows 95/98.

.topic 9
The wasted space is the amount of space in clusters on your harddisk, that are not entirely filled. Keep the following formula in mind: size + wasted space = allocated space. Windows 9x with its file system FAT/FAT32 may have very large cluster sizes, dependent on the partition size:

If you for example have a single FAT32 partition on a 32GB harddisk, you have a cluster size of 32KB on it. If you store 10 files of 1 KB on this partition, this would use 10*32KB=320KB of your precious harddisk space, and 320KB-10KB=310KB would be wasted. Especially a huge number of small files significantly increase the amount of wasted space on FAT partitions.

To reduce the wasted space, there are the following possibilities:

·	Make smaller partitions, try to avoid partitions larger than 16GB on a FAT32 drive. Of course smaller partitions will increase the number of drive letters.

·	Windows NT/2000/XP provide the possibility to format your harddisk with the NTFS file system. It usually operates with 512 - 4096 Byte clusters and has the best storage efficiency of all Windows file systems. NTFS partitions cannot be accessed from Windows 9x or DOS without use of 3rd party software. In addition, NTFS is able to compress selected directory branches.

.topic 11
TreeSize Professional 3 has flexible printing functions:

You can print a detailed report by selecting 'Print Report...' from the File menu or by pressing the print button in the toolbar. The report will show the directory structure of the current folder, including directory lines, and the information you have chosen in the Options. There you can also decide, if the whole directory tree should be printed, or just those parts that are expanded in the TreeSize Professional 3 window. This way allows to choose the folders that will be included in the printed report.

If the 'Details View' is active in the right pane of the TreeSize Professional 3 main window, you can print the contents of the folder which is currently selected by using 'Print Folder Contents...' from the 'File' menu. You will see all files and direct subfolders in the printout, including the icons and the other information. If you want a listing of all files in the scanned folder or drive, you can copy a list of all files to the clipboard and paste it into your favorite spreadsheet or word processor by selecting 'Export List of Files' from the 'File' menu (not supported in the Personal edition). If the 'Chart View' is active in the right pane of the TreeSize Professional 3 window, you can print the current chart by selecting 'Print Chart' from the 'File' menu.

You can use the Page Setup Dialog to adjust the margins for printing. Use the Print Setup Dialog to choose a printer. Both dialogs can be accessed from the 'File' menu.

.topic 40
TreeSize Professional 3 can visualize folder sizes as pie or bar charts. A chart always shows the size of the subfolders of the currently selected folder. A pie chart shows the size, allocated space, wasted space etc. dependant on what kind of view type the user selected in the toolbar. The bar chart shows the size, allocated and wasted space together in one chart, because:  size + wasted space = allocated space. If a bar chart doesn't fit in the window, a scrollbar is displayed on the right side, which allows scrolling in the chart.

In the pie chart, small folders may be summarized in a slice named 'Other'. If a root of a drive is displayed in a pie chart and you have switched to the 'Allocated Space' mode, the free space of this drive will also be displayed as one slice of the pie. There is an option in the right click menu of the pie chart to turn this behaviour on or off.

Clicking on a slice or bar shows detailed information about the corresponding folder, double clicking will move into the selected folder. Checking 'Chart Toolbar' in the Options dialog or in the context menu of the chart will display an additional chart toolbar, which allows you to manipulate the charts in several ways, for example zooming, turning on or off the grid lines, switching between 2D and 3D mode, change colors, etc. Using this toolbar, you can also copy the current chart to the clipboard or save it as a file.

Choose 'Print Chart' from the 'File' menu to print a chart. A chart will be printed exactly as you see it on the screen.

.topic 30
The Professional edition of TreeSize accepts command line options which allow you to do scheduled scans or to have the results of a scan on your monitor the next morning.

Tsizepro.exe [/ARCHIVEBITFILESONLY] [/(BAR|PIE)CHART filename] [/COMPARE filename] [/DATE] [/EMAIL] [/EXCEL filename] [/EXPAND [level|xxMB]] [/EXTENSIONSLIST filename] [/FILTER pattern1;pattern2;...] [/HTML filename] [/NOGUI] [/OPEN] [/PRINT] [/SAVE filename] [/SEARCH[:Start|:Internet]] [/USERSLIST filename] [/XML filename]  Directories

/ARCHIVEBITFILESONLY	 This option will include only files in the scans, which have the archive bit set. This option can be very useful, if you want to calculate the size of a backup. In this case, you can create a shortcut to TreeSize Professional 3 on your desktop or in your start menu, that will automatically start calculating the size of your backup:

    tsizepro /ARCHIVEBITFILESONLY \\Server\Backup\This

/BARCHART	Saves the bar chart of the scanned directory to a bitmap, PNG or JPEG file, the file type depends on the extension of the specified file name. This example creates a JPEG images of the bar chart for drive C:

    tsizepro /BARCHART C:\Documents\c.jpg C:\

/COMPARE	Compares the scanned path or loaded XML report (see /OPEN) with a saved XML report. The following example scans drive C: and compares the result with a saved XML report for this drive:

    tsizepro /COMPARE "C:\temp\TSP XML\c.xml" C:\

/DATE	This switch will add the current date to all file names occurring after it on the command line. This is useful if you want to do scans regularly every night or every weekend. If you want the date included in all filenames, then /DATE should be your first command line option. The following example will scan the network path \\host\share and save the result to a file like C:\scans\name_03-12-20_1550.xls:

    tsizepro /DATE /EXCEL C:\scans\name.xls \\host\share

/EMAIL	Sends the collected data to the given email address using MAPI. Your e-mail application must be configured properly for MAPI. Multiple recipients can be separated with semicolons or commas. Example:

    tsizepro /EMAIL sysadmin@company.com \\SERVER\C$

/EXCEL	Exports the collected data to Excel and saves it under the given file name. If the file name already exists, the file will be opened and a new sheet will be added. The application will terminate itself after saving. Example:

    tsizepro /EXCEL C:\Documents\c.xls C:\

/EXCLUDE	This options allows to specify patterns for files and folders, that should be excluded from a scan. Multiple exclude patterns can be separated using a semicolon, if one or more of the patterns contain spaces, the complete pattern string must be set into quotes. This command line option is equal to the Exclude list in the Options dialog. The following example will ignore folders that end with ".001" and folders that are named ".personal":

    tsizepro /EXCLUDE "*.001;.system" \\server\Users

/EXPAND	This option lets you specify, how many levels in the directory tree will be expanded after scanning. If you don't specify a number, all folders will be expanded. Instead of a directory level you can also indicate an amount in MB. In this case all folders larger then the given amount will be expanded. The unit 'MB' must follow the number without a blank. The following example will scan the folder H:\user, expand all folders larger than 10MB and save the result to the Excel file C:\Results\Allusers.xls:

    tsizepro /EXCEL C:\Results\Allusers.xls /EXPAND 10MB H:\user

/EXTENSIONSLIST	 This options allows you to save the statistics on file extensions / file types of the scanned file system branch to a text to CSV file. The following example scans drive C: and creates a CSV file in C:\Temp with the statistics of the file types on this drive:

    tsizepro /EXTENSIONSLIST C:\temp\C_filetypes.csv C:\

/FILTER	Allows to set a file filter, so that only files with certain extensions, e.g. .MP3 or .DOC, will be counted. Multiple patterns may be passed, you can use spaces, commas or semicolons as separator between the patterns. The following example will search for AVI and MP3 files in the users directory on the server:

    tsizepro /EXCEL C:\Results\MediaUsers.xls /FILTER "*.mp3;*.avi" \\Server\Users

    When performing a File Search, You can also you the /FILTER command line switch to specify the patterns for the Temporary file search.

/HTML	Saves the collected data to a HTML file, which can be viewed with any HTML-browser later.  If you also have a /PIECHART or /BARCHART parameter in your command line, the image will be included in the HTML file. The following example will generate an HTML report for the drive C: and saves it to D:\html:

    tsizepro /DATE /HTML d:\html\treesize.html /PIECHART d:\html\treesize.jpg C:\

    If you like to scan and export multiple drives or folders, we recommend that you either use one call for each drive or folder, or that you use the command line option like in the following example:

    tsizepro /HTML d:\html\drive_c.html /PIECHART d:\html\drive_c.jpg C:\ /HTML d:\html\drive_d.html /PIECHART d:\html\drive_d.jpg D:\

/NOGUI	No window will be shown and the application will not appear in the task bar. Useful for background scans. Caution: Use this switch only if you have tested the rest of the command line options, because error messages cannot be displayed in this mode. However, it tries to log errors in the event log of Windows.

/OPEN	Opens a saved XML report on application start. Example:

    tsizepro /OPEN C:\Reports\Drive_C.xml

/PIECHART	Saves the pie chart of the scanned directory to a bitmap, PNG or JPEG file. The following example will scan the drives C:\ and D:\ and produce a chart for each one in PNG format:

    tsizepro /PIECHART C:\Temp\c.png C:\ /PIECHART C:\Temp\d.png D:\

/PRINT	Prints a report for the scanned folder to the default printer. The application will be terminated after printing. Usage example:

    tsizepro /PRINT C:\ D:\

/PRINT1	Prints only the first page of a report for the scanned folder to the default printer. The application will be terminated after printing. Usage example:

    tsizepro /PRINT1 \\SERVER\USERS

/RESTRICTED	Starts TreeSize in a "readonly" mode, in which the user does not have access to Explorer context menu, may not rename or delete files or folders and the buttons for the Software applet and to connect a network drive are not available in the tool bar.

/SAVE 	Saves the results to a text file after scanning is finished. The application will terminate itself after saving. Example:

    tsizepro /SAVE C:\Results\c.txt C:\

/SEARCH 	Opens the File Search window of TreeSize Professional 3. If ':Start' is added to this command line option, the search is started immediately with the settings used the last time. If TreeSize finds ':Internet' added to this command line option, it will start searching for temporary internet files and delete them. The drives activated during the last regular scan will be scanned, a special set of drives and paths can be specified on the command line (separated with blanks). Usage example:

    tsizepro /SEARCH:Internet

    The settings of the last performed File Search will be used. However, you can specify the search patterns for the temporary file search using the /FILTER command line option. Tip: You can use the /SAVE command line option to save the results of the File Search to a text or CSV file.

/TITLE	Can be used to change the title of the printed or exported report. That allows you to supply additional information to the user when using TreeSize Professional 3 in an automated environment

    tsizepro /TITLE "This is drive C on Server3" /PRINT \\Server3\C$

/USERSLIST	 This options allows you to save the statistics showing the results grouped by username to CSV file. The following example scans drive C: and creates a CSV file in C:\Temp with the statistics of the users on this drive:

    tsizepro /USERSLIST C:\temp\C_users.csv C:\

/XML 	Saves the results to an XML file that can be loaded again later and can be used for comparisons.

    tsizepro /XML C:\Results\Allusers.xml H:\users\

Directories	At the end of the command line, you may pass one or more paths that should be scanned by TreeSize Professional 3. The wildcards * and ? are allowed. Example

    tsizepro H:\users\A*

Scheduled Start
If you are using Windows 98/ME or Windows NT4+ with Internet Explorer 5+ installed, you can use the 'Scheduled Tasks' folder to run TreeSize Professional daily at a certain time. Just add a new daily task and choose TreeSize Professional as program to execute. Before finishing, choose to change additional properties of this task and add the command line options you want after tsizepro.exe.

If you are using Windows NT4 or later, you can also use the at command to perform scheduled scans. If you for example want to scan the drives C: and E: next night at 03:00 a.m. and save the results to an Excel file, you must enter the following on the NT command line:

at 03:00 "C:\Program Files\JAM Software\TreeSize Professional\tsizepro.exe" /EXCEL c:\temp\tsp.xls /EXPAND 2 c:\ e:\

If you want to see the results of the file search on your screen when you come in your office in the morning, you should enter something like:

at 06:00 /INTERACTIVE "C:\Program Files\JAM Software\TreeSize Professional\tsizepro.exe" /SEARCH:Start

Read more about the at command in the Windows NT help. Error messages occurring during scheduled scans are listed in the Event Log of Windows NT/2000.

Windows Scripting Host
If you intend to use the Windows Scripting Host (WSH), your command to start TreeSize Professional will look like:

Set Shell = CreateObject("WScript.Shell")
Shell.Run """C:\Program Files\TreeSize Professional\tsizepro.exe"" /XML c:\temp\drive_c.xml c:\"

.topic 27
The file system NTFS, which can be used with the operating system Windows NT or later. It offers some special features which also have consequences for TreeSize Professional 3. In the following we will describe some of these features and their impacts on this software.

Access Control Lists
A user under Windows NT/2000 can restrict the way other users can access his files and folders, he can grant or deny other users or groups certain rights like reading, writing, executing or deleting files. That way a user can even deny the Administrator to access his files and folders. If an Administrator tries to access a folder in the Explorer, to which the owner denied any other users read access, an "Access Denied" error message will be displayed. However, TreeSize Professional 3 is able to scan such folders, if you are logged in as Administrator or as a user that has the right to perform backups (This option can be changed at Control Panel / Administrative Tools / Local Security Policy under Windows 2000 and with the user editor of Windows NT).

File Based Compression
NTFS supports compression on an individual file basis. Files that are compressed on an NTFS volume can be read and written without first being decompressed by another program. Decompression happens automatically during the read of the file. The file is compressed again when it is closed or explicitly saved.

The space occupied by a compressed file is usually much smaller than its normal size. As a consequence, for folders that are partially or completely compressed, the allocated space reported by TreeSize Professional 3 may be smaller than the size reported for this folder. TreeSize Professional 3 is able to show the compression ratio in an extra column in the details view. Additionally it can show compressed files and folders in a different color, these features can be turned on in the Options dialog.

The NTFS version that comes with Windows 2000 supports an additional concept, that is similar to compressed files: sparse files. Files which are large but only partially used are called sparse files. Because the operating system does not allocate disk space for the unused parts of a sparse file, it occupies less disk space than its actual size is. TreeSize Professional 3 treats sparse files like compressed files and also calculates the compression ratio for them.

Reparse Points: Volume Mount Points and Symbolic Links
Since Windows 2000 NTFS supports volume mount points and symbolic links. A volume mount point is an existing path where you "mount" another volume. Given this, users and applications can refer to the mounted volume by that path. It allows you to unify into one logical file system disparate file systems. symbolic links work similar: If you for example have an empty folder C:\Documents\Images, you can create a symbolic link to E:\Pics in it. Applications will then see the content of E:\Pics in C:\Documents\Images.

If you have the Option "Follow Mount Points and Symbolic Links" turned on, TreeSize will include the contents of these folders when scanning. Since they are not physically stored on the drive you are scanning, this may produce irritating results.

A final note: If you are scanning an NTFS volume via network with the Professional edition, file based compression and reparse points can only be handled correctly, if you are scanning on a Windows NT/2000/XP client. The API of Windows 9x cannot handle these features, so reparse points and compressed files will appear as normal folders and files.

.topic 20

General / Registration

Main Program

Printing / Export

File Search

.topic 21
Q:	Which operating system does TreeSize Professional 3 run on?
A:	Currently the following operating systems are supported: Windows NT4, Windows 98, Windows ME, Windows 2000 Professional, Windows 2000 Server, Windows XP, Windows 2003 Server.

Q:	Does the setup copy any files to the Windows directory?
A:	No, all files of TreeSize Professional 3 are copied to the selected installation path. The main executable file is even able to run without installation.

Q:	How can I order TreeSize Professional 3 and how will the product be delivered?
A:	You may order TreeSize Professional 3 online at http://www.jam-software.com/prices.shtml. You will find a fax order form there as well. We accept purchase orders from companies and will invoice them with NET30 terms. After your order is processed, you will be able to download the full version of the product in our customer's area. If you choose to receive the software on CD, shipping costs will be added to your order. You will then receive the software by air-mail within 2-7 days, dependant on where you are located.

Q:	What is the difference between the Professional and the Personal edition?
A:	The Personal edition has the same features as the Professional edition, except that it does not support network drives, Windows Server systems, command line options and exporting the data.

Q:	What is the difference between the evaluation copy and the full version? Will there be additional features?
A:	The evaluation copy allows you to test the software before you buy it. The maximum time to do this is 21 days. Further usage of the software after this period is not permitted and violates the law. In order to allow our customers to fully test our software products, our evaluation versions usually do not contain significant limitations. But the software may remember you from time to time that you should purchase the software after your testing is finished. After purchasing the full version, registered customers will get free updates within the current major version.

Q:	I just purchased your product. How can I now activate my trial version?
A:	You have to download the full version of the software from our customer's area at http://www.jam-software.com/customers/. The login data can be found in the email or in the printed license which you have received after the purchase. In case that you do not have your login data any more, you request them to be sent to the email address that you have used for purchasing the software.

Q:	How much do updates costs?
A:	Updates within a major version number (e.g. V3.x) are free. Registered customers can purchase the update to the next major version for a reduced price (around 40% of the regular price) in our customer's area at: http://www.jam-software.com/customers/

Q:	Why don't you use activation codes which turn the trial version into a full version?
A:	We do not work with activation codes, because you can find them very easily in the internet. We are working with a separate trial and full version. After purchasing, our customers receive the download address for the full version and a password which is needed for installation. You should keep both in a safe place.

Q:	Although I have purchased the full version of your software product, it still shows "UNREGISTERED" in the window title. Why?
A:	There are 3 possible reasons why "UNREGISTERED" still shows up:
1.	You did not download and install the full version from the URL you received after the purchase.
2.	You have accidentally installed the trial version again. (Have you been asked for a password?)
3.	You have installed the full version to a different folder than the trial version, which is now still on your disk.

.topic 22
Q:	Why is the occupied space that Windows shows in the properties dialog of the drive larger than the allocated space that TreeSize Professional 3 reports.
A:	The Windows Explorer shows the space that is physically allocated on the drive while TreeSize shows the space that is occupied by all files under a certain path. Beyond the space that is needed for storing the files itself, additional space is used for storing management data like the File Allocation Table of the file system or the boot sector. It is not possible to free this space with TreeSize or any other tool. This is usually 0.5-2% of the occupied space. Another possibility is that you are using Software RAID, like Windows NT/2000 offers it, which spreads the data with redundancy over several disks. These disks will appear as one logical volume and the failure of a single disk will not cause any data loss. But for storing the redundant information, additional space is needed. If a drive letter points to a subfolder of a network drive, the allocated space (correctly) reported by TreeSize Professional may also be much smaller than the physically allocated space on this drive reported by the Windows Explorer, because possibly  the whole drive is not accessible through the network. A further possibility is that not all parts of the drive could be scanned due to security restrictions.

Q:	For some folders TreeSize shows last accessed / changed dates that are far in the future. Why?
A:	The last access/change date that TreeSize shows for a folder is the latest last access/change date of a file inside this folder and its subfolders. Most likely, somewhere in these folders are files with a last access/change date far in the future, and so the last change date of the whole folder has the same date. You can try to search for these files using the Windows file search. These files are often a result of Y2K test or of a client PC with a wrong system date.

Q:	Why do all files on my disk have the same last access date which is not far in the past?
A:	Windows updates the last access date of a file each time when an application accesses or reads a file. Many backup and virus tools access every file on your harddisk regularly without restoring the prior last access date.

Q:	Scanning a server disk via network is very slow. Is it possible to speed up this process?
A:	Scanning a drive via network is normally much slower than scanning a local disk, because the bandwidth to the network is much lower than to your harddisk. Additionally, server drives usually are much bigger and contain more files than local hard disks. But you can use the Command Line Options to perform your scans overnight. Network drives and command line options are supported by the Professional edition only.

Q:	Is it possible to have the program ignore displaying folders in the tree that are less than a certain size?
A:	In the context menu of the topmost folder, you can choose to remove folders below a certain size. To achieve this, press the right mouse button on the topmost icon (or use the "Branch" submenu of the "File" menu), select "Expand" and then "Remove Folder <XX MB".

Q:	Is it possible to add the free space to the bar chart?
A:	The free space is added to the pie chart if TreeSize Professional 3 is in the "Allocated Space" mode and the root of the scanned drive is selected. In other situations (e.g. if a subfolder is selected or the "Wasted Space" mode is active), it doesn't make sense to add the free space, because the relationship between the free space and the other values displayed is wrong.

Q:	Can I scan network drives and hidden shares like \\Server\C$ without connecting them to a drive letter?
A:	Yes, in the Professional edition you can use UNC names like \\SERVERNAME\Share to access a network drive by entering them in the drive combo box on the top of the main window. You can also use UNC names on the command line.

Q:	I would like to save a set of drives and folders that are scanned each time I start TreeSize Professional 3. How do I do that?
A:	You can simply create a shortcut to Tsizepro.exe on your desktop or start menu and add those drives and folders to the command line, separated with a space character. See chapter Owner more detailed information.

Q: How can I limit a scan to just one user's files?
A:	Please make sure that the option "Group by user" is activated in the Options of TreeSize Professional 3. After the scan is finished, please right click on this user on the "Users" tab and choose "Limit to this user" from the context menu.

Q:	Why does TreeSize Professional 3 not support Unicode characters?
A:	One reason that we currently do not support Unicode characters is that our development environment does not yet support this. The second reason is that a program that uses the Unicode API calls of Windows NT and later, will not run any more under Windows 9x. But we will surely switch to Unicode in a later version of this software. If TreeSize Professional 3 tries to scan a folder name containing Unicode characters, an error message will be displayed and TreeSize will continue using the 8+3 DOS name of this folder. These error messages can be turned off in the Options dialog.

Q:	Why do error messages appear when I am scanning a directory tree that contains Mac files?
A:	Under MacOS file and folder names may contain characters that are invalid under Windows (e.g. /, |, <, >, ?) or that are not part of the normal Windows character set. Normal Windows applications cannot access these files or folders, in this case TreeSize uses the 8+3 DOS name of the folder. The error messages that are shown can be turned off in the Options dialog of TreeSize Professional 3.

Q:	On a Novell Netware volume, TreeSize reports compressed files as uncompressed and the user names are missing in the Owner columns. Why?
A:	Unfortunately the Netware client for Windows does not support information about compression and file owners through standard Windows API functions. So developers have to integrate special support for Netware in their applications. We may address this issue in a later version of TreeSize Professional 3, but so far, we do not actively support Netware. All other parts of software work fine with Netware volumes.

Q:	Why does TreeSize Professional 3 not include my disk into its calculation, which is mapped to a directory using the Disk Manager of Windows 2000/XP?
A:	Switching the option "Follow mount points and symbolic links" in the Options of TreeSize Professional 3, you can control if mount points and symbolic links should be followed or if they should be excluded from the calculations.

Q: Is it possible to perform a silent installation of this software?
A:	Starting the setup with the command line parameters /SILENT /PASSWORD=YourInstallPassword  will perform a silent and automatic installation with the default settings. Please replace  YourInstallPassword  with the installation password that you received after your registration. Using /VERYSILENT instead of /SILENT will prevent any visual feedback. The option /DIR="x:\dirname" can be used to override the default install path.

Q:	Is it possible to search for file extensions with TreeSize Professional 3?
A:	You can for example apply a filter for a scan in the Options by adding patterns like *.bmp to the edit field. A second possibility is to enable the "Group by Extension" feature in the Options. This will provide a detailed statistics for the file types in each sub tree and you will we be able to limit the values in the directory tree to one file type. A third possibility is to use the Temporary File Search of the File Search module by adding your custom extensions on the "Temporary files" tab after pressing the "Configure" button. Our new product SpaceObServer has extended and more flexible reporting features if needed.

Q:	The wasted space shown by TreeSize is extremely high. How can I reduce the wasted space?
A:	Most likely you are using the FAT file system which usually produces a lot of wasted space due to its large cluster size. Please read the chapter "Wasted Space" in the Help file to understand what wasted space is and to learn how to reduce it.

.topic 23
Q:	How can I specify the columns that should be included in the printed report / exported Excel file?
A:	Under View / Options / Columns you may choose the included columns after selecting one of the export options in the dropdown box on top of the window.

Q:	I would like to print an entire list of contents of my harddisk including the files. Why does TreeSize Professional 3 not support this?
A:	A normal Windows 2000 installation itself already has 6000 - 8000 files in the Windows directory. Just printing this directory would produce 90 - 130 pages and printing a whole drive would produce much more pages. Therefore TreeSize Professional 3 only supports printing the contents of the currently selected folder. The Professional edition of TreeSize allows you additionally to export a complete list of all files on the scanned drive or folder to the clipboard, which allows you further processing of the list like inserting it in a database or spreadsheet.

Q:	Why does TreeSize Professional not export the file names to my Excel / HTML / Text file?
A:	The export functions of TreeSize Professional were mainly designed to export informations about folders and their size. However, you can copy a complete list of files to the clipboard using the context menu of any folder in the tree. You may also try our freeware command line utlity FileList, which was designed to generate simple file lists without the overhead of a GUI application.

.topic 24
Q:	How can I search for files of the type XYZ?
A:	The Windows file search already does this job quite good. TreeSize Professional 3 has been created with a focus on cleaning up and finding obsolete files, however there are of course possibilities to find certain file types. You can e.g. activate only the search for Temporary Files, there you deactivate all search patterns and add a pattern for the file type(s) you are interested in. Another possibility: In the main application set a Filter in the Options dialog. Then TreeSize Professional 3 will only include matching files when calculating the folder sizes. The results will provide a good overview about the distribution of these file type(s) and can be exported to a text file using the context menu. Our product SpaceObServer, which keeps the data of watched file systems in an SQL database, has faster and more flexible search and report features.

Q:	Is it possible to check several or all files in the File Search window at one time instead of checking them individually?
A:	You may select several files using a left mouse click while holding the Shift or Ctrl key down. You may also press Ctrl+A to select all files in the list. Using "Check" from the context menu then checks all currently selected files. Some successive files can also be easily checked by pressing the space bar several times. The space bar checks the currently focused file and advances to the next file in the list.

Q:	Why does TreeSize Professional 3 not include a duplicate file search?
A:	We made several tests with existing duplicate file search tools. The amount of disk space that could be recovered was always negligible, because only very few files were "true" duplicate (obsolete) files. But the amount of time that was needed to go through the list of duplicate files was huge. The conclusion was that one can free up more space in less time using the directory size and the File Search, so we decided not to include a duplicate file search.

Q:	Which files can I delete safely?
A:	Unfortunately there is no short and easy answer to this question, because usually one cannot know from where a file comes and what it is used for. Generelly temporary files and cache files of the internet browsers can be deleted safely nearly always. Besides deleting files, the file search of TreeSize Professional 3 offers you to move files to a different drive or to a compressed ZIP file, which can then be archived. That way files which are still needed can be easily restored.

.topic 7
This Options dialog of TreeSize Professional 3 can be opened using appropriate menu item in the View menu. It allows you to change the view and scan options and consists of the following tabs:

View
Scan
Include / Exclude
Columns

.topic 71
Different Colors For Compressed Files and Folders	 If this option is turned on, compressed files on an NTFS volume are shown in a blue color. Folders that are partially compressed will have a dark blue color, files and folders that are entirely compressed will show up in a light blue color. For more information on file based compression, see Notes on NTFS.

Show Files	When this option is selected, TreeSize will display the files in a folder summarized in one object in tree. Also all files of a folder will appear in the Details View.

Show Chart toolbar	Use this option to display an additional toolbar for the Charts.

Automatically Update Right Pane During Scanning	If this option is turned on, the right pane of the main window will be updated from time to time. This allows you for example to watch the bars of a chart growing while scanning large drives. Use the dragbar to set the interval of the updates.

Decimals	Choose the number of decimals that should be used when TreeSize displays or prints values.

Number of Folders in the Recently Used list	Adjust the number of recently scanned folders that TreeSize Professional 3 should memorize for quick access in the File menu or the dropdown box in the toolbar.

Bold Factor	If the size of folder is greater than the set percentage or absolute value of the complete size of the scanned folder, the folders label will be shown bold. This allows you to find quickly the largest folders. If you don't want bold folder labels, choose 100%. You can apply these settings also for printed reports as well by using the checkbox below.

.topic 72
The settings on this page affect the behavior of TreeSize Professional 3 during scanning. Changes on these settings usually require a rescan of the currently scanned drives and folders to take effect.

Follow Mount Points and Symbolic Links	This option is relevant for NTFS drives only. You can decide if TreeSize should follow symbolic links and mount points (see Notes on NTFS for additional information).

Show Error Messages	Here you can decide if TreeSize Professional 3 should show error messages during scanning. If you for example scan a network drive on a Windows NT server and don't have read access to all folders, Windows will pop up an error message for every unreadable folder. If you don't want the scanning process interrupted by these message boxes, deselect this checkbox.

Group by user when Scanning	If this checkbox is activated, TreeSize Professional 3 will additionally generate a statistics for the file owners in each subtree. The results can be viewed on the "Users" tab of the main window, where you are also able to limit the values in the directory tree to one file type. Since it is necessary to obtain the owner of each file, this option will slow down the scanning process if activated.

Group by extension when Scanning	If this checkbox is activated, TreeSize Professional 3 will additionally generate a statistics for the file extensions in each subtree. The results can be viewed on the "Extensions" tab of the main window, where you are also able to limit the values in the directory tree to one file type.

User Defined Cluster Size	Use this option to look, how the values for allocated and wasted space would look like with a different cluster size or filesystem. Changing this option will make a rescan necessary. This options will not be saved when you exit TreeSize Professional 3 in order to avoid wrong results when using it the next time.

.topic 73
The Include/Exclude tab allows you to filter the scanned files and folders:

File Types	If you want to have information about certain file types only, you can specify a filter here. You can use multiple filters separated with blanks. So If you for example want to see how much space  your executable files and their libraries occupy, use the filter "*.exe *.dll" here. If you want to include all files use "*". Changing this option will make a rescan necessary. This options will not be saved when you exit TreeSize Professional 3 in order to avoid wrong results when using it the next time.

Include only files created in the past XX days	 This option is quite self-explanatory and can be useful to calculate the size of backups or to identify "heavy growing" folders.

Include only Files with Archive Bit Set	This option is useful if you are interested in the size of a backup, that will be performed based on the Windows Archive Bit.

Excludes	If you want to exclude certain files or folders from scanning, add matching patterns here. A pattern may look like "Windows" or "*.tmp". Files or folders matching one of the specified patterns will be ignored during a scan.

.topic 74
On the Columns tab allows you may choose the columns that should be visible. You may choose the columns separately for each "output media" (details view, Excel export, printed report, text file, etc.) by first selecting the appropriate entry in the dropdown box on the top. The following columns are available:

Name	The name of the folder or file.

Full Path	The full path, including the object's name.

Size	The size of the object.

Allocated	The space, that the object currently occupies on disk (see also: Wasted Space).

Files	The number of files in a folder.

Folders	The number of subfolders in a folder.

Wasted	The amount of space that is wasted by the file system (see also: Wasted Space).

% of Parent	The amount of space in percent that a folder or file occupies relative to its parent folder.

Last Change	The last change date of the object. TreeSize Professional 3 calculates the last change and last access date more precise than the Windows Explorer, so the values shown in the Windows Explorer may differ.

Last Access	The last access date of the object.

Compr.	The size in percent by which an object has been compressed using the built in compression of the file system (see also: Notes on NTFS).

Owner	The user name that owns a folder or file.

CD-ROM Size	The amount of space that an object would occupy on a CD-ROM.

Current Date	The current date. This column can be useful if you want to post process the collected data, e.g. in a database.

Attributes	The file attributes Readonly (R), Hidden (H), System (S), Archive (A).

File Type	The file type, e.g. "Text file".

Dir Level	The level of an object in the file system. This value can be useful when postprocessing the collected data.

Creation Date	The date on which the object has been created.

Path (Without Name)	The full path to object, not containing the object's name.

Avg. File Size	The average size of a file in a folder.

Permissions	The access permissions to the object in the format: Username1: +/-R +/-W +/-X   Username2: ... where "+" means the right is granted and "-" means that the right is denied.

File Version	The version number that is included in EXE, DLL OCX and similar binary files.

Title of Scan	By default the title (volume label and drive letter) of a scan. It can be changed using "Set Title" in the File menu. This value can be useful for archiving purposes.

The column, that should be visible in the details list can easily be selected by right clicking on the column header:

Export

Full Export	With this option activated, the whole file system tree that was scanned, will be exported or printed.

Expanded Folders Only	Only those parts of the file system tree will be exported, that are expanded on the left pane of the main window.

Header Line	Use this option to control, if a header line containing the column headers should be added to the exported file or the printed report.

Default Export File	Here you can specify an Excel file, to which by default exported data should be written (Professional Edition only).

.topic 61
The File Menu allows you to select folders for scanning, remove folders from the TreeSize Window and to print or export the collected data.

Select Directory	Shows a dialog which lets you choose a folder for scanning. You can also enter a path directly into the drive combo box in the toolbar.

Load XML Report	Opens an XML report that has been saved earlier. That way you can view earlier results without performing a whole scan again.

Save XML Report	Save the information of the current file system branch to an XML file. This file can be loaded to TreeSize Professional 3 again at a later time or can be used to perform a compare at a later time. TreeSize Professional 3 ships with an XSLT file that formats the data inside the XML file for pretty output in an browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5).

Compare With XML Report	Loads a saved XML report and compares it to the current one by "subtracting" the old size information from the current one. That way, folder unchanged in size will show up with a size of 0 after the comparison, folder that have grown will have values greater than 0 and will be displayed in red color. Folders that became smaller compared to the loaded report will have negative values an will be displayed in green color.

Export	Only available in the Professional edition. See chapter Export Submenu

Set Title	Allows you to set a title for the currently active branch, which will be used when the folder data is printed or exported. The default title includes the path of the scanned folder and the volume name of the drive where the folder resides on.

Print Report	Prints a detailed report of the current folder. See Printing.

Print Report for All	Prints a detailed report for all scanned drives / folders in the left pane-

Print Chart 	Prints the currently visible Chart.

Print Folder Contents	Prints a list of all objects in current folder, including the icons, size, date, etc.

Page Setup	Shows the Page setup dialog where you can specify the margins for printing, paper size etc.

Printer Setup	Shows the print setup dialog.

Exit	Closes TreeSize Professional 3.

.topic 62
The Export of the File menu submenu is only availbale in the Professional edition and allows you to export the collected in data in different ways. You may customize the kind of data (columns) that will be exported on the columns tab of the Options dialog. For all ways of exporting applies, that only those folders will be exported, that are currently visible (expanded) on the left pane of the main window. That way you may customize the level of folders that will be exported manually or by using the context menu. If you would like to export the whole file system tree by default, adjust the appropriate setting in the Options.

Save Data As	Save the collected data to a tab separated text file.

Save as HTML	Allows you to save a report as HTML file, which can be viewed with any HTML browser later. HTML files are more easy to read than text files and don't require a special application like MS Excel.

Export Data to Excel  Exports the collected data to MS Excel.

Copy to Clipboard	Copies the data of the current file system branch to the clipboard in text format.

Send by Email	Sends the current data as an text email via MAPI.

Customize	Open the Options dialog which allows to customize the output columns.

Use Plain Numbers	Activating this option will save the results not in the format "10.2 MB" but will save the size information as the number of bytes in plain (e.g. 10695475). That may make postprocessing of the data easier.

Copy List of Files	Copies a list of all files in the current folder (and its subfolders) to the clipboard. You can paste this list to your favorite spreadsheet or word processor.

.topic 546
The main menu bar has a "Branch" menu that contains some actions that can be applied to complete scans / branches.

Update	Rescans the current branch completely.

Automatic Updates	Allows you to turn on or off automatic updates for the currently selected scan. If automatic updates are turned on, TreeSize Professional 3 listens to the Windows change notifications and updates the changed folders. It will also update the size of a folder if it gets listed on the Details sheet. If you don't want the size information to change after the scan has finished, you should turn off Automatic Updates.

Expand	The Expand submenu equals the one in the context menu.

Remove From TreeSize	This menu item will remove the currently selected scan from the view.

.topic 63
You can choose different types of values for displaying in the tree on the left side:

Size	In this mode the size of the files in a folder including all subfolders will be shown.

Allocated Space	This will show the amount of space that is allocated on disk for this folder, again including all subfolders.

Percent	Shows how many percent of the parent folder's size each folder occupies.

Wasted Space	Shows the amount of space that is wasted by the filesystem for the storage of all files in this folder, including all subfolders.

CD-ROM Cluster Size	This mode will show how much space a folder would occupy on a CD-ROM.

Use the next menu items to switch between different view modes for the right pane of the TreeSize Professional 3 main window:

Bar Chart	Shows a bar chart on the right side of the window. Each bar shows the size and the wasted space for each folder, which together is the space allocated for this folder.

Pie Chart	Shows a pie chart on the right side of the window. The values displayed in the pie chart depend on the currently selected view mode (Size, Allocated Space, Wasted Space etc.)

Detailed List	Shows a list with all objects in the current folder. For each object, you can see the size, the allocated and wasted space, the number of files, the last access and change date and the percent of the parent folder in.

You can change the way TreeSize displays the sizes using these menu items or the corresponding toolbar buttons. The number of decimals can be changed in the Options dialog.

Values as KB	All size values will be shown in KB.

Values as MB	All size values will be shown in MB.

Values as GB	All size values will be shown in GB.

Mixed Units	For each value an appropriate unit (KB/MB/GB) is chosen automatically

To change the main settings of TreeSize Professional 3:

Options	Shows the Options dialog.

.topic 64
Sort by size	The largest folders will be displayed first.

Sort by name	The folders will be sorted alphabetically.

No Sorting	No Sorting is done. This can be useful when scanning large folders drives, because folders don't permanently change their position.

.topic 65
Update All	Rescans all folders which are currently listed in the TreeSize Professional 3 main window. You can update an individual folder through the context menu of this folder.

File Search	Shows the 'File Search' Window, which allows to search for obsolete files.

Add/Remove Software	Opens the 'Add/Remove Software' applet of the control panel.

Connect  Drive	Opens a window that allows you to connect a network drive to a drive letter (Professional edition only).

.topic 69
File System Tree
When you right click on a folder or file in the tree on the left, TreeSize will display the explorer context menu. Additionally you will find the following menu items in the TreeSize submenu

Full Expand	Expands the selected folder and recursively all its subfolders

Full Collapse	Collapses the selected folder and recursively hides the subfolders

Update Branch	Updates only this part of the tree, which is usually faster than updating the whole directory.

Remove From TreeSize (Temporarily)	Using this menu item you may remove a folder from TreeSize and its calculations. The removal is only temporarily, the folder will not be deleted physically from the disk. So it will come up again during the next scan.

The topmost item of each scanned folder has a different context menu, which looks like this:

To Level x	Selecting this menu item will show the first x levels of the current folder.

Expand Folder over	This menu item allows you to expand only those folders in the tree, which are larger than a certain size.

Remove Folder <xxxMB	Selecting this menu item will remove all folders which are smaller than a certain size from the directory tree.

Set Size	Allows you to specify the folder size for the above two operations.

Remove from TreeSize	Remove this folder from the TreeSize Professional 3 window.

Update	Rescan this folder and update the information.

Details List
The details list shows the Windows Explorer context menu when you right click on an item. Additional a submneu labeled "TREESIZE" is included which shows all information that is available about the selected item, including the columns that are currently not activated. This submenu may also be use to activate or deactivate columns.

.topic 13
The 'File Search' window allows you to search for big, old and temporary files. You will find the following tabs on the top of the window:

Biggest Files	This page allows to search for the biggest files on your harddisk. You can specify a minimum size in kilobytes or megabytes. All files, which are larger than this value, will be shown in the list.

Oldest Files	This page allows you to search for files, that have not been changed or accessed since a certain date. You can limit the search to entire folders, in this case only folders will be listed in which all files match the search criteria. This allows you to identify branches of the file system that are not in use any more.

Temporary Files  This page allows you to search for temporary files. Use the "Configure" Button to customize the settings of the Temporary File Search.

Internet Files	This page allows you to search for temporary internet files, like the files in the cache of the browsers Netscape Navigator and Internet Explorer. On FAT drives, these files produce a lot of wasted space, because most of them are very small. The search for temporary internet files can be automated with the command line option /SEARCH:Internet.

Options	Here you can choose which drives and which of the above search types will be included in the search. You can add additional paths to the list by pressing the button below the list. All checked drives will be included in the search. Network drives are only supported in the Professional edition.

You will find the following buttons on the right side of the window:

Start	This button will start the search. You can now either close the window or you can look at the partial search results by selecting one of the tabs. You will hear a beep when the search is finished.

Stop	Allows you to stop the search.

Hide Window	This button will close the search window, but the search will continue. So you can look at the results later. You will see an animation below this button, as long as the file search is running.

Save Results	This button allows you to save the search result of the currently active search type in a tab separated text file (CSV file).

Move Checked	This button allows you to move all files in the lists, which are checked left of their file name, to the recycle bin or to a position in the file system that you can specify. If you choose a file system location, all files will be moved there under preservation of the file system structure. You may also move the checked files to ZIP file. TIP: You can easily check a group of files by keeping pressed the space bar or by selecting multiple files with the Shift or Ctrl key and then use the context menu.

.topic 521
Patterns
The main part of the Temporary File Search is based on typical filename patterns. You may customize these patterns using the "Customize" button on the top of the Temporary File Search. You may change or delete existing patterns as well as add new patterns. Using the checkboxes on the left, you can activate certain patterns without deleting them.

Include files with temporary attribute
Applications that create a temporary file may inform the operating system with a special flag about this fact. With this checkbox activated, TreeSize Professional 3 will include such files in the search results.

Include files that do not belong to a valid account
If a Windows account is deleted, files belonging to this account are not deleted automatically and may keep occupying space on the hard disks. With this checkbox activated, TreeSize Professional 3 will include such files in the search results. Since it is necessary to get the owner of each file on the searched disks, activating this option will slow down the scanning process.

Include Links without a valid target path
With this checkbox activated, TreeSize Professional 3 will check for .LNK and .PIF files, if the destination path exists. If this is not the case, such a file will be included in the search results.

.topic 4
Thank you for your interest in our software product. There are different ways for ordering:

1.	Secure Online Purchasing is possible from our Web Page. You will find a fax order form there as well.

2.	European companies can be invoiced. Just send or fax your order to the address below. A price list for multi user licenses is available on our web site. Please include your VAT ID number in the EU!

JAM Software	E-mail	: sales@jam-software.com
Joachim Marder	WWW	: www.jam-software.com
Bruchhausenstr. 1	Fax	: ++49-700-70707059
54290 Trier
Germany

After registering, you will receive the address of the (secret) download page for registered users, where you can download the full version of our software. Registered users will get support via e-mail and future updates within the same major version number are free.

.topic 100
Enter topic text here.

.topic 101
Choose this option if compressed files and folders on NTFS volumes should appear in a blue color. Folders, that are only partially compressed, will appear in dark blue.

.topic 102
When this option is selected, TreeSize will display the files of a folder summarized in one object in tree. Also all files of a folder will appear in the list on the right side of the window.

.topic 103
Activates/Deactivates an additional toolbar for the charts.

.topic 106
In the file menu and in the drive combo box, you find a list of the recently scanned folders and drives. Here you can adjust the maximum number of entries in this list.

.topic 104
Number of decimals which will be used for displaying or printing values.

.topic 109
Choose the interval for how often the right pane of the window should be updated.

.topic 107
If this option is turned on, the right pane of the window will be updated from time to time.

.topic 108
Turn this option on to apply the settings for bold folder names for printed reports.

.topic 105
If the size of folder is larger than the given percentage of the complete size of the scanned folder, or is larger than the given size in Megabytes, the label will be displayed bold. If you don't want bold folder labels, specify 100%.

.topic 525
Enter topic text here.

.topic 134
Choose if mount points and symbolic links should be followed or not. Mount points and symbolic links have been introduced in Windows 2000, they can be used to link drives or folders into other file systems. Since these are not really part of the file system they have been linked in, they may lead to wrong results for the size of a folder or drive. See help file for additional information.

.topic 113
When when this option is turned on, TreeSize Professional 3 shows error messages during scanning (e.g. unaccessable folders)

.topic 116
Check this option, if you would like to see the results grouped by username on a sheet  on the right side of the window. Turning this option on will slow down the scanning process.

.topic 117
Check this option, if you would like to see the results grouped by extension on a sheet  on the right side of the window.

.topic 112
Use this option to look, what the values for allocated and wasted space would look like with a different cluster size or file system.

.topic 526
Enter topic text here.

.topic 131
If you want to have information about certain file types only, you can specify a filter here. You can use multiple filters separated with blanks. So If you for example want to see how much space  your executable files and their libraries occupy, use the filter "*.exe *.dll" here. If you want to include all files use "*".

.topic 132
Use this option to include only files in the scan, that have been changed within a certain amount of days.

.topic 133
When this option is enabled, only files with the Archive bit set will be included in the scan. This can be useful if you perform your backup on basis of the Archive bit and you want to know how large you backup will be.

.topic 135
If you want to exclude certain files or folders from scanning, add matching patterns here. A Pattern may look like 'Windows' or '*.tmp'. Files or folders matching one of the specified patterns will be ignored during a scan.

.topic 527
Enter topic text here.

.topic 143
Use this option to specify, if by default the whole file system tree, or only the parts that are expanded on the left side of the TreeSize Professional 3 main window should be exported.

.topic 142
Here you can specify a file which will be used by default when the export is triggered manually. If the file exists, the new data will be appended to the existing file.

.topic 141

.topic 3
Copyright ©1996-2004 by:

JAM Software
Joachim Marder
Bruchhausenstr. 1
54290 Trier
Germany

Fax:	+49-700-70707059

E-mail:	treesize@jam-software.com

WWW:	http://www.jam-software.com


Columns

Here you can select which columns will be visible in the view that is selected in the dropdown box above.
Top